Imports System.Drawing
Imports System.Drawing.Imaging
Imports System.Drawing.Drawing2D
Imports System.ComponentModel
<ToolboxBitmap(GetType(CDBTimer))> _
Public Class CDBTimer
  Inherits System.Windows.Forms.UserControl
  Private Lic As License
#Region " Windows Form Designer generated code "

  Public Sub New()
    MyBase.New()

    'This call is required by the Windows Form Designer.
    InitializeComponent()
    'Lic = LicenseManager.Validate(GetType(CDBTimer), Me)
    SetStyle(ControlStyles.UserPaint, True)
    SetStyle(ControlStyles.AllPaintingInWmPaint, True)
    SetStyle(ControlStyles.DoubleBuffer, True)
    SetStyle(ControlStyles.SupportsTransparentBackColor, True)
    'Add any initialization after the InitializeComponent() call
    LED = New LEDImage(_InnerColor, _OuterColor, _NotActiveColor, _DigitWidth, _DigitHeight)
    CurrentImage = LED.CreateLEDDisplay("0:00")
  End Sub

  'UserControl1 overrides dispose to clean up the component list.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (Lic Is Nothing) Then
        Lic.Dispose()
        Lic = Nothing
      End If
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  'Required by the Windows Form Designer
  Private components As System.ComponentModel.IContainer

  'NOTE: The following procedure is required by the Windows Form Designer
  'It can be modified using the Windows Form Designer.  
  'Do not modify it using the code editor.
  <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
    '
    'CDBTimer
    '
    Me.Name = "CDBTimer"
    Me.Size = New System.Drawing.Size(150, 24)

  End Sub

#End Region
  Private LED As LEDImage
  Private CurrentImage As Image
  Private _CurrentTimeInMilliSeconds As Long = 0
  Private _OuterColor As Color = Color.FromArgb(180, Color.LimeGreen)
  Private _InnerColor As Color = Color.FromArgb(180, Color.LimeGreen)
  Private _DigitWidth As Integer = 14
  Private _DigitHeight As Integer = 20
  Private _NotActiveColor As Color = Color.FromArgb(120, Color.Black)
  Private _CurrentTimeInSeconds As Integer = 0
  Private _ElapsedText As String = "Elapsed"
  Private _ElapsedTextColor As Color = Color.FromArgb(180, Color.LimeGreen)
  Private _ElapsedRemainingFont As Font = Me.Font
  Private _RemainingTextColor As Color = Color.FromArgb(180, Color.LimeGreen)
  Private _RemainingText As String = "Remaining"
  Private _TotalTimeInSeconds As Integer = 40
  Private ShowElapsed As Boolean = True
  Public Property CurrentTimeInMilliSeconds() As Long
    Get
      Return _CurrentTimeInMilliSeconds
    End Get
    Set(ByVal Value As Long)
      _CurrentTimeInMilliSeconds = Value
      RefreshTimer()
    End Set
  End Property

  Private Sub RefreshTimer()
    Dim d As TimeSpan

    If ShowElapsed Then
      d = TimeSpan.FromSeconds(_CurrentTimeInSeconds)

    Else
      If _TotalTimeInSeconds > CurrentTimeInSeconds Then
        d = TimeSpan.FromSeconds(_TotalTimeInSeconds - CurrentTimeInSeconds)
      End If
    End If
    CurrentImage = LED.CreateLEDDisplay(String.Format("{0}:{1}", (d.Hours * 60 + d.Minutes).ToString("00"), d.Seconds.ToString("00")))
    Me.Invalidate()
  End Sub
  Public Property ElapsedRemainingFont() As Font
    Get
      Return _ElapsedRemainingFont
    End Get
    Set(ByVal Value As Font)
      _ElapsedRemainingFont = Value
      RefreshTimer()
    End Set
  End Property
  Public Property RemainingTextColor() As Color
    Get
      Return _RemainingTextColor
    End Get
    Set(ByVal Value As Color)
      _RemainingTextColor = Value
      RefreshTimer()
    End Set
  End Property
  Public Property ElapsedTextColor() As Color
    Get
      Return _ElapsedTextColor
    End Get
    Set(ByVal Value As Color)
      _ElapsedTextColor = Value
      RefreshTimer()
    End Set
  End Property
  Public Property RemainingText() As String
    Get
      Return _RemainingText
    End Get
    Set(ByVal Value As String)
      _RemainingText = Value
      RefreshTimer()
    End Set
  End Property
  Public Property ElapsedText() As String
    Get
      Return _ElapsedText
    End Get
    Set(ByVal Value As String)
      _ElapsedText = Value
      RefreshTimer()
    End Set
  End Property
  Public Property DigitHeight() As Integer
    Get
      Return _DigitHeight
    End Get
    Set(ByVal Value As Integer)
      _DigitHeight = Value
      LED = New LEDImage(_InnerColor, _OuterColor, _NotActiveColor, _DigitWidth, _DigitHeight)
      RefreshTimer()
    End Set
  End Property
  Public Property DigitWidth() As Integer
    Get
      Return _DigitWidth
    End Get
    Set(ByVal Value As Integer)
      _DigitWidth = Value
      LED = New LEDImage(_InnerColor, _OuterColor, _NotActiveColor, _DigitWidth, _DigitHeight)
      RefreshTimer()
    End Set
  End Property

  Public Property TotalTimeInSeconds() As Integer
    Get
      Return _TotalTimeInSeconds
    End Get
    Set(ByVal Value As Integer)
      _TotalTimeInSeconds = Value
      RefreshTimer()
    End Set
  End Property
  Public Property CurrentTimeInSeconds() As Integer
    Get
      Return _CurrentTimeInSeconds
    End Get
    Set(ByVal Value As Integer)
      If _CurrentTimeInSeconds <> Value Then
        _CurrentTimeInSeconds = Value
        RefreshTimer()
      End If
    End Set
  End Property
  Public Property NotActiveColor() As Color
    Get
      Return _NotActiveColor
    End Get
    Set(ByVal Value As Color)
      _NotActiveColor = Value
      LED = New LEDImage(_InnerColor, _OuterColor, _NotActiveColor, _DigitWidth, _DigitHeight)
      RefreshTimer()
    End Set
  End Property
  Public Property InnerColor() As Color
    Get
      Return _InnerColor
    End Get
    Set(ByVal Value As Color)
      _InnerColor = Value
      LED = New LEDImage(_InnerColor, _OuterColor, _NotActiveColor, _DigitWidth, _DigitHeight)
      RefreshTimer()
    End Set
  End Property
  Public Property OuterColor() As Color
    Get
      Return _OuterColor
    End Get
    Set(ByVal Value As Color)
      _OuterColor = Value
      LED = New LEDImage(_InnerColor, _OuterColor, _NotActiveColor, _DigitWidth, _DigitHeight)
      RefreshTimer()
    End Set
  End Property
  Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
    e.Graphics.SmoothingMode = SmoothingMode.AntiAlias
    e.Graphics.TextRenderingHint = System.Drawing.Text.TextRenderingHint.AntiAlias
    If CurrentImage Is Nothing Then Exit Sub
    'RefreshTimer()
    Dim textsize As SizeF = e.Graphics.MeasureString(_ElapsedText, _ElapsedRemainingFont)
    e.Graphics.DrawImage(CurrentImage, 0, textsize.Height)

    If ShowElapsed Then
      Dim br As New SolidBrush(_ElapsedTextColor)
      e.Graphics.DrawString(_ElapsedText, _ElapsedRemainingFont, br, 0, 0)
      br.Dispose()
    Else
      Dim br As New SolidBrush(_RemainingTextColor)
      e.Graphics.DrawString(_RemainingText, _ElapsedRemainingFont, br, 0, 0)
      br.Dispose()
    End If
  End Sub

  Private Sub CDBTimer_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Click
    If _TotalTimeInSeconds <> 0 Then
      ShowElapsed = Not ShowElapsed
      RefreshTimer()
    Else
      ShowElapsed = True
      RefreshTimer()
    End If
  End Sub
End Class
