Imports System
Imports System.Drawing
Imports System.Drawing.Imaging
Friend Class LEDImage

  Private Const defaultCharacterSizex As Integer = 31
  Private Const defaultCharacterSizey As Integer = 31
  Private locationOfLEDs As Byte()()
  Private characterSizex As Integer
  Private characterSizey As Integer
  Private outerColor As Color
  Private innerColor As Color
  Private notactiveColor As Color

  Public Sub New()
    characterSizex = defaultCharacterSizex
    characterSizey = defaultCharacterSizey
    innerColor = Color.Green
    outerColor = Color.SeaGreen
    FillByteArray()
  End Sub

  Public Sub New(ByVal LEDinnerColor As Color, ByVal LEDouterColor As Color)
    characterSizex = defaultCharacterSizex
    characterSizey = defaultCharacterSizey
    innerColor = LEDinnerColor
    outerColor = LEDouterColor
    FillByteArray()
  End Sub
  Public Sub New(ByVal LEDinnerColor As Color, ByVal LEDouterColor As Color, ByVal LEDnotactiveColor As Color, ByVal chSizex As Integer, ByVal chsizey As Integer)
    Try
      characterSizex = chSizex
      characterSizey = chsizey
      innerColor = LEDinnerColor
      outerColor = LEDouterColor
      notactiveColor = LEDnotactiveColor
      FillByteArray()
    Catch ex As Exception
      MsgBox(ex.Message)
    End Try
  End Sub

  Public Function CreateLEDDisplay(ByVal number As String) As Image
    Try
      Dim StartPixel As Integer = 0
      Dim StringLength As Integer = number.Length

      Dim CompleteBitmap As Image = New Bitmap(StringLength * characterSizex, characterSizey)
      Dim BitmapGraphicsObject As Graphics = Graphics.FromImage(CompleteBitmap)

      For k As Integer = 0 To StringLength - 1

        If number.Substring(k, 1) = ":" Then
          Dim BitmapOfOneCharacter As Image = New Bitmap(4, characterSizey)
          BitmapOfOneCharacter = CreateLEDDigit(-1, 4, characterSizey)
          BitmapGraphicsObject.DrawImage(BitmapOfOneCharacter, StartPixel, 0)
          StartPixel += 4
        ElseIf number.Substring(k, 1) = "." Then
          Dim BitmapOfOneCharacter As Image = New Bitmap(4, characterSizey)
          BitmapOfOneCharacter = CreateLEDDigit(-2, 4, characterSizey)
          BitmapGraphicsObject.DrawImage(BitmapOfOneCharacter, StartPixel, 0)
          StartPixel += 4
        Else
          Dim BitmapOfOneCharacter As Image = New Bitmap(characterSizex, characterSizey)
          BitmapOfOneCharacter = CreateLEDDigit(Convert.ToInt32(number.Substring(k, 1)), characterSizex, characterSizey)
          BitmapGraphicsObject.DrawImage(BitmapOfOneCharacter, StartPixel, 0)
          StartPixel += characterSizex
        End If
        'BitmapOfOneCharacter = CreateLEDDigit(Convert.ToInt32(number.Substring(k, 1)))


      Next

      BitmapGraphicsObject.Save()
      Return CompleteBitmap
    Catch ex As Exception
      MsgBox(ex.Message)
    End Try
    Return New Bitmap(1, 1)
  End Function

  Private Sub FillByteArray()
    '// Byte array holds the locations of the leds for a particular character
    '// This can be more easily extended to alphanumeric
    '// --- 0
    '// | | 1 2
    '// --- 3
    '// | | 4 5
    '// --- 6
    '// 0 1 2 3 4 5 6
    locationOfLEDs = New Byte()() { _
    New Byte() {1, 1, 1, 0, 1, 1, 1}, _
    New Byte() {0, 0, 1, 0, 0, 1, 0}, _
    New Byte() {1, 0, 1, 1, 1, 0, 1}, _
    New Byte() {1, 0, 1, 1, 0, 1, 1}, _
    New Byte() {0, 1, 1, 1, 0, 1, 0}, _
    New Byte() {1, 1, 0, 1, 0, 1, 1}, _
    New Byte() {1, 1, 0, 1, 1, 1, 1}, _
    New Byte() {1, 0, 1, 0, 0, 1, 0}, _
    New Byte() {1, 1, 1, 1, 1, 1, 1}, _
    New Byte() {1, 1, 1, 1, 0, 1, 1}}
  End Sub

  Private Function CreateLEDDigit(ByVal val As Integer, ByVal chx As Integer, ByVal chy As Integer) As Image
    Try
      Dim CharacterImage As Image = New Bitmap(chx, chy)
      Dim g As Graphics = Graphics.FromImage(CharacterImage)
      Dim InnerPen As Pen = New Pen(innerColor, 1)
      Dim OuterPen As Pen = New Pen(outerColor, 1)
      Dim NotActivePen As Pen = New Pen(notactiveColor, 1)
      'InnerPen.DashStyle = Drawing2D.DashStyle.Dot
      'OuterPen.DashStyle = Drawing2D.DashStyle.Dot
      If (val = -1) Then
        Dim br As SolidBrush = New SolidBrush(outerColor)
        g.FillEllipse(br, chx \ 2, -2 + chy \ 2 + (chy \ 2) \ 2, 4, 4)
        g.FillEllipse(br, chx \ 2, -2 + chy \ 2 - (chy \ 2) \ 2, 4, 4)
        br.Dispose()
        g.Save()
        Return CharacterImage
      End If
      If val = -2 Then
        Dim br As SolidBrush = New SolidBrush(outerColor)
        g.FillEllipse(br, chx \ 2, chy - 4, 4, 4)
        br.Dispose()
        g.Save()
        Return CharacterImage
      End If
      '// Draw a line for each LED
      If (locationOfLEDs(val)(0) = 1) Then

        '//TOP
        g.DrawLine(OuterPen, 3, 1, characterSizex - 2, 1) 'g.DrawLine(OuterPen, 5, 2, 27, 2)
        g.DrawLine(InnerPen, 4, 2, characterSizex - 3, 2) ', 4, 3, 28, 3)
        g.DrawLine(OuterPen, 5, 3, characterSizex - 4, 3) ' 5, 4, 27, 4)
      Else
        g.DrawLine(NotActivePen, 3, 1, characterSizex - 2, 1) 'g.DrawLine(OuterPen, 5, 2, 27, 2)
        g.DrawLine(NotActivePen, 4, 2, characterSizex - 3, 2) ', 4, 3, 28, 3)
        g.DrawLine(NotActivePen, 5, 3, characterSizex - 4, 3) ' 5, 4, 27, 4)
      End If
      If (locationOfLEDs(val)(1) = 1) Then
        '//TOP LEFT
        g.DrawLine(OuterPen, 2, 2, 2, characterSizey \ 2) '2, 5, 2, 14)
        g.DrawLine(InnerPen, 3, 3, 3, characterSizey \ 2 - 1) '3, 4, 3, 15)
        g.DrawLine(OuterPen, 4, 4, 4, characterSizey \ 2 - 2) '4, 5, 4, 14)
      Else
        g.DrawLine(NotActivePen, 2, 2, 2, characterSizey \ 2) '2, 5, 2, 14)
        g.DrawLine(NotActivePen, 3, 3, 3, characterSizey \ 2 - 1) '3, 4, 3, 15)
        g.DrawLine(NotActivePen, 4, 4, 4, characterSizey \ 2 - 2) '4, 5, 4, 14)
      End If

      If (locationOfLEDs(val)(2) = 1) Then

        '//TOP RIGHT
        g.DrawLine(OuterPen, characterSizex - 3, 4, characterSizex - 3, characterSizey \ 2 - 2) '28, 5, 28, 14)
        g.DrawLine(InnerPen, characterSizex - 2, 3, characterSizex - 2, characterSizey \ 2 - 1) '29, 4, 29, 15)
        g.DrawLine(OuterPen, characterSizex - 1, 2, characterSizex - 1, characterSizey \ 2) '30, 5, 30, 14)
      Else
        g.DrawLine(NotActivePen, characterSizex - 3, 4, characterSizex - 3, characterSizey \ 2 - 2) '28, 5, 28, 14)
        g.DrawLine(NotActivePen, characterSizex - 2, 3, characterSizex - 2, characterSizey \ 2 - 1) '29, 4, 29, 15)
        g.DrawLine(NotActivePen, characterSizex - 1, 2, characterSizex - 1, characterSizey \ 2) '30, 5, 30, 14)
      End If
      If (locationOfLEDs(val)(3) = 1) Then
        '//MIDDLE
        g.DrawLine(OuterPen, 5, characterSizey \ 2 - 1, characterSizex - 4, characterSizey \ 2 - 1) '5, 15, 27, 15)
        g.DrawLine(InnerPen, 4, characterSizey \ 2, characterSizex - 3, characterSizey \ 2)   '4, 16, 28, 16)
        g.DrawLine(OuterPen, 3, characterSizey \ 2 + 1, characterSizex - 2, characterSizey \ 2 + 1) '5, 17, 27, 17)
      Else
        g.DrawLine(NotActivePen, 5, characterSizey \ 2 - 1, characterSizex - 4, characterSizey \ 2 - 1) '5, 15, 27, 15)
        g.DrawLine(NotActivePen, 4, characterSizey \ 2, characterSizex - 3, characterSizey \ 2)  '4, 16, 28, 16)
        g.DrawLine(NotActivePen, 3, characterSizey \ 2 + 1, characterSizex - 2, characterSizey \ 2 + 1) '5, 17, 27, 17)
      End If
      If (locationOfLEDs(val)(4) = 1) Then

        '//BOTTOM LEFT
        g.DrawLine(OuterPen, 2, characterSizey \ 2 + 1, 2, characterSizey - 2) '2, 18, 2, 27)
        g.DrawLine(InnerPen, 3, characterSizey \ 2 + 2, 3, characterSizey - 3) '3, 17, 3, 28)
        g.DrawLine(OuterPen, 4, characterSizey \ 2 + 3, 4, characterSizey - 4) '4, 18, 4, 27)
      Else
        g.DrawLine(NotActivePen, 2, characterSizey \ 2 + 1, 2, characterSizey - 2) '2, 18, 2, 27)
        g.DrawLine(NotActivePen, 3, characterSizey \ 2 + 2, 3, characterSizey - 3) '3, 17, 3, 28)
        g.DrawLine(NotActivePen, 4, characterSizey \ 2 + 3, 4, characterSizey - 4) '4, 18, 4, 27)
      End If
      If (locationOfLEDs(val)(5) = 1) Then

        '//BOTTOM RIGHT
        g.DrawLine(OuterPen, characterSizex - 1, characterSizey \ 2 + 1, characterSizex - 1, characterSizey - 2) '30, 18, 30, 27)
        g.DrawLine(InnerPen, characterSizex - 2, characterSizey \ 2 + 2, characterSizex - 2, characterSizey - 3) '29, 17, 29, 28)
        g.DrawLine(OuterPen, characterSizex - 3, characterSizey \ 2 + 3, characterSizex - 3, characterSizey - 4) '28, 18, 28, 27)
      Else
        g.DrawLine(NotActivePen, characterSizex - 1, characterSizey \ 2 + 1, characterSizex - 1, characterSizey - 2) '30, 18, 30, 27)
        g.DrawLine(NotActivePen, characterSizex - 2, characterSizey \ 2 + 2, characterSizex - 2, characterSizey - 3) '29, 17, 29, 28)
        g.DrawLine(NotActivePen, characterSizex - 3, characterSizey \ 2 + 3, characterSizex - 3, characterSizey - 4) '28, 18, 28, 27)
      End If
      If (locationOfLEDs(val)(6) = 1) Then

        '//BOTTOM
        g.DrawLine(OuterPen, 5, characterSizey - 3, characterSizex - 4, characterSizey - 3) '5, 28, 27, 28)
        g.DrawLine(InnerPen, 4, characterSizey - 2, characterSizex - 3, characterSizey - 2) '4, 29, 28, 29)
        g.DrawLine(OuterPen, 3, characterSizey - 1, characterSizex - 2, characterSizey - 1) '5, 30, 27, 30)
      Else
        g.DrawLine(NotActivePen, 5, characterSizey - 3, characterSizex - 4, characterSizey - 3) '5, 28, 27, 28)
        g.DrawLine(NotActivePen, 4, characterSizey - 2, characterSizex - 3, characterSizey - 2) '4, 29, 28, 29)
        g.DrawLine(NotActivePen, 3, characterSizey - 1, characterSizex - 2, characterSizey - 1) '5, 30, 27, 30)
      End If
      'g.ScaleTransform(characterSize / 31, characterSize / 31)
      g.Save()

      Return CharacterImage
    Catch ex As Exception
      MsgBox(ex.Message)
    End Try
    Return New Bitmap(0, 0)
  End Function
End Class
