Imports System.Resources
Imports CDBurnerXP.Net
Imports CDBurnerXP

Public Class MainToolStrip
  Inherits ToolStrip

  ''' <summary>
  ''' Contains all animation pictures used by CDBurnerXP.
  ''' It does not belong to the toolbar, but requires some kind of "global control" as container.
  ''' </summary>
  Public Shared ReadOnly Property Animations() As ImageList
    Get
      InitAnimations(New System.ComponentModel.Container())
      Return imlAnimations
    End Get
  End Property


  Friend WithEvents tbDiscInfo1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbRecorderInfo1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbEject1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbSepa2 As System.Windows.Forms.ToolStripSeparator
  Friend WithEvents tbSepa1 As System.Windows.Forms.ToolStripSeparator
  Friend WithEvents tbErase1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbBurn1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbCloseTray1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbAbout1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbHelp1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbWeb1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbSepa3 As System.Windows.Forms.ToolStripSeparator
  Friend WithEvents tbOptions1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbCheckVersion1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbOpen1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbSave1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbClose1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbPrint1 As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbShowDropbox As System.Windows.Forms.ToolStripButton
  Friend WithEvents tbNew1 As System.Windows.Forms.ToolStripButton

  Friend WithEvents mnuShowIcons As System.Windows.Forms.MenuItem
  Friend WithEvents mnuShowIconsText As System.Windows.Forms.MenuItem
  Friend WithEvents cmnuToolbar As System.Windows.Forms.ContextMenu
  Friend WithEvents mnuShowText As System.Windows.Forms.MenuItem

  Private Shared imlAnimations As System.Windows.Forms.ImageList
  Private components As System.ComponentModel.IContainer
  Private RM As ResourceManager = New ResourceManager("CDBurnerXP_Pro.Strings", System.Reflection.Assembly.GetEntryAssembly())

  Sub New()
    MyBase.New()

    Me.tbSepa2 = New System.Windows.Forms.ToolStripSeparator
    Me.tbSepa1 = New System.Windows.Forms.ToolStripSeparator
    Me.tbSepa3 = New System.Windows.Forms.ToolStripSeparator
    Me.tbNew1 = New System.Windows.Forms.ToolStripButton
    Me.tbOpen1 = New System.Windows.Forms.ToolStripButton
    Me.tbSave1 = New System.Windows.Forms.ToolStripButton
    Me.tbClose1 = New System.Windows.Forms.ToolStripButton
    Me.tbPrint1 = New System.Windows.Forms.ToolStripButton
    Me.tbErase1 = New System.Windows.Forms.ToolStripButton
    Me.tbBurn1 = New System.Windows.Forms.ToolStripButton
    Me.tbShowDropbox = New System.Windows.Forms.ToolStripButton
    Me.tbDiscInfo1 = New System.Windows.Forms.ToolStripButton
    Me.tbRecorderInfo1 = New System.Windows.Forms.ToolStripButton
    Me.tbEject1 = New System.Windows.Forms.ToolStripButton
    Me.tbCloseTray1 = New System.Windows.Forms.ToolStripButton
    Me.tbOptions1 = New System.Windows.Forms.ToolStripButton
    Me.tbCheckVersion1 = New System.Windows.Forms.ToolStripButton
    Me.tbWeb1 = New System.Windows.Forms.ToolStripButton
    Me.tbHelp1 = New System.Windows.Forms.ToolStripButton
    Me.tbAbout1 = New System.Windows.Forms.ToolStripButton
    Me.SuspendLayout()

    '
    'tbSepa2
    '
    Me.tbSepa2.Name = "tbSepa2"
    Me.tbSepa2.Size = New System.Drawing.Size(6, 31)
    '
    'tbSepa1
    '
    Me.tbSepa1.Name = "tbSepa1"
    Me.tbSepa1.Size = New System.Drawing.Size(6, 31)
    '
    'tbSepa3
    '
    Me.tbSepa3.Name = "tbSepa3"
    Me.tbSepa3.Size = New System.Drawing.Size(6, 31)
    '
    'tbMain1
    '
    'Me.ContextMenu = Me.cmnuToolbar
    Me.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
    Me.GripStyle = System.Windows.Forms.ToolStripGripStyle.Hidden
    Me.ImageScalingSize = New System.Drawing.Size(24, 24)
    Me.Items.AddRange(New System.Windows.Forms.ToolStripItem() {Me.tbNew1, Me.tbOpen1, Me.tbSave1, Me.tbClose1, Me.tbPrint1, Me.tbSepa1, Me.tbErase1, Me.tbBurn1, Me.tbShowDropbox, Me.tbSepa2, Me.tbDiscInfo1, Me.tbRecorderInfo1, Me.tbEject1, Me.tbCloseTray1, Me.tbSepa3, Me.tbOptions1, Me.tbCheckVersion1, Me.tbWeb1, Me.tbHelp1, Me.tbAbout1})
    Me.Location = New System.Drawing.Point(0, 0)
    Me.Name = "tbMain1"
    Me.RenderMode = System.Windows.Forms.ToolStripRenderMode.System
    Me.Size = New System.Drawing.Size(1026, 31)
    Me.TabIndex = 1
    Me.Text = "Main Toolbar"
    '
    'tbNew1
    '
    Me.tbNew1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbNew1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.DocumentNew
    Me.tbNew1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbNew1.Name = "tbNew1"
    Me.tbNew1.Size = New System.Drawing.Size(28, 28)
    Me.tbNew1.Tag = "Open"
    Me.tbNew1.Text = "ToolStripButton1"
    ' Currently, only one instance can be opened
    Me.tbNew1.Visible = False
    '
    'tbOpen1
    '
    Me.tbOpen1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbOpen1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.FolderMedium
    Me.tbOpen1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbOpen1.Name = "tbOpen1"
    Me.tbOpen1.Size = New System.Drawing.Size(28, 28)
    Me.tbOpen1.Tag = "Open"
    Me.tbOpen1.Text = "ToolStripButton1"
    '
    'tbSave1
    '
    Me.tbSave1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbSave1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.Save
    Me.tbSave1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbSave1.Name = "tbSave1"
    Me.tbSave1.Size = New System.Drawing.Size(28, 28)
    Me.tbSave1.Tag = "Save"
    Me.tbSave1.Text = "ToolStripButton2"
    '
    'tbClose1
    '
    Me.tbClose1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbClose1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.CloseMedium
    Me.tbClose1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbClose1.Name = "tbClose1"
    Me.tbClose1.Size = New System.Drawing.Size(28, 28)
    Me.tbClose1.Tag = "Close"
    Me.tbClose1.Text = "ToolStripButton4"
    '
    'tbPrint1
    '
    Me.tbPrint1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbPrint1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.PrinterMedium
    Me.tbPrint1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbPrint1.Name = "tbPrint1"
    Me.tbPrint1.Size = New System.Drawing.Size(28, 28)
    Me.tbPrint1.Tag = "Print"
    Me.tbPrint1.Text = "ToolStripButton5"
    '
    'tbErase1
    '
    Me.tbErase1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbErase1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.EraseDiscMedium
    Me.tbErase1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbErase1.Name = "tbErase1"
    Me.tbErase1.Size = New System.Drawing.Size(28, 28)
    Me.tbErase1.Tag = "Erase"
    Me.tbErase1.Text = "ToolStripButton6"
    '
    'tbBurn1
    '
    Me.tbBurn1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbBurn1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.BurnDiscMedium
    Me.tbBurn1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbBurn1.Name = "tbBurn1"
    Me.tbBurn1.Size = New System.Drawing.Size(28, 28)
    Me.tbBurn1.Tag = "Burn"
    Me.tbBurn1.Text = "ToolStripButton7"
    '
    'tbShowDropbox
    '
    Me.tbShowDropbox.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbShowDropbox.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.drop24
    Me.tbShowDropbox.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbShowDropbox.Name = "tbShowDropbox"
    Me.tbShowDropbox.Size = New System.Drawing.Size(28, 28)
    Me.tbShowDropbox.Tag = "Dropbox"
    Me.tbShowDropbox.Text = "ToolStripButton1"
    '
    'tbDiscInfo1
    '
    Me.tbDiscInfo1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbDiscInfo1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.DiscInformationMedium
    Me.tbDiscInfo1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbDiscInfo1.Name = "tbDiscInfo1"
    Me.tbDiscInfo1.Size = New System.Drawing.Size(28, 28)
    Me.tbDiscInfo1.Tag = "DiscInfo"
    Me.tbDiscInfo1.Text = "ToolStripButton8"
    '
    'tbRecorderInfo1
    '
    Me.tbRecorderInfo1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbRecorderInfo1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.RecorderInformationMedium
    Me.tbRecorderInfo1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbRecorderInfo1.Name = "tbRecorderInfo1"
    Me.tbRecorderInfo1.Size = New System.Drawing.Size(28, 28)
    Me.tbRecorderInfo1.Tag = "RecorderInfo"
    Me.tbRecorderInfo1.Text = "ToolStripButton9"
    '
    'tbEject1
    '
    Me.tbEject1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbEject1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.EjectMedium
    Me.tbEject1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbEject1.Name = "tbEject1"
    Me.tbEject1.Size = New System.Drawing.Size(28, 28)
    Me.tbEject1.Tag = "Eject"
    Me.tbEject1.Text = "ToolStripButton10"
    '
    'tbCloseTray1
    '
    Me.tbCloseTray1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbCloseTray1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.LoadMedium
    Me.tbCloseTray1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbCloseTray1.Name = "tbCloseTray1"
    Me.tbCloseTray1.Size = New System.Drawing.Size(28, 28)
    Me.tbCloseTray1.Tag = "CloseTray"
    Me.tbCloseTray1.Text = "ToolStripButton11"
    '
    'tbOptions1
    '
    Me.tbOptions1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbOptions1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.ConfigurationMedium
    Me.tbOptions1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbOptions1.Name = "tbOptions1"
    Me.tbOptions1.Size = New System.Drawing.Size(28, 28)
    Me.tbOptions1.Tag = "Options"
    Me.tbOptions1.Text = "ToolStripButton12"
    '
    'tbCheckVersion1
    '
    Me.tbCheckVersion1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbCheckVersion1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.DownloadMedium
    Me.tbCheckVersion1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbCheckVersion1.Name = "tbCheckVersion1"
    Me.tbCheckVersion1.Size = New System.Drawing.Size(28, 28)
    Me.tbCheckVersion1.Tag = "CheckVersion"
    Me.tbCheckVersion1.Text = "ToolStripButton13"
    '
    'tbWeb1
    '
    Me.tbWeb1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbWeb1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.WeblinksMedium
    Me.tbWeb1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbWeb1.Name = "tbWeb1"
    Me.tbWeb1.Size = New System.Drawing.Size(28, 28)
    Me.tbWeb1.Tag = "Web"
    Me.tbWeb1.Text = "ToolStripButton14"
    '
    'tbHelp1
    '
    Me.tbHelp1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbHelp1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.HelpMedium
    Me.tbHelp1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbHelp1.Name = "tbHelp1"
    Me.tbHelp1.Size = New System.Drawing.Size(28, 28)
    Me.tbHelp1.Tag = "Help"
    Me.tbHelp1.Text = "ToolStripButton16"
    '
    'tbAbout1
    '
    Me.tbAbout1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image
    Me.tbAbout1.Image = Global.CDBurnerXP_Pro.My.Resources.Resources.SymbolInformationMedium
    Me.tbAbout1.ImageTransparentColor = System.Drawing.Color.Magenta
    Me.tbAbout1.Name = "tbAbout1"
    Me.tbAbout1.Size = New System.Drawing.Size(28, 28)
    Me.tbAbout1.Tag = "About"
    Me.tbAbout1.Text = "ToolStripButton15"

    If Not AutoUpdate.IsOnlineUpdateAllowed Then
      tbCheckVersion1.Visible = False
    End If

    Me.cmnuToolbar = New System.Windows.Forms.ContextMenu
    Me.mnuShowIcons = New System.Windows.Forms.MenuItem
    Me.mnuShowIconsText = New System.Windows.Forms.MenuItem
    Me.mnuShowText = New System.Windows.Forms.MenuItem
    '
    'cmnuToolbar
    '
    Me.cmnuToolbar.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.mnuShowIcons, Me.mnuShowIconsText, Me.mnuShowText})
    '
    'mnuShowIcons
    '
    Me.mnuShowIcons.Index = 0
    Me.mnuShowIcons.Text = "Show icons"
    '
    'mnuShowIconsText
    '
    Me.mnuShowIconsText.Index = 1
    Me.mnuShowIconsText.Text = "Show icons and text"
    '
    'mnuShowText
    '
    Me.mnuShowText.Index = 2
    Me.mnuShowText.Text = "Show text"

    Me.ContextMenu = cmnuToolbar

    Select Case ApplicationSettings.ToolbarDisplayStyle
      Case ToolStripItemDisplayStyle.ImageAndText
        mnuShowIconsText.PerformClick()
      Case ToolStripItemDisplayStyle.Text
        mnuShowText.PerformClick()
      Case Else
        mnuShowIcons.PerformClick()
    End Select

    Translate()

    Me.ResumeLayout()
  End Sub

  Private Sub Translate()
    ' Toolbar tooltips
    tbNew1.Text = RM.GetString("New")
    tbOpen1.ToolTipText = RM.GetString("Open an existing compilation...")
    tbSave1.ToolTipText = RM.GetString("Save the active compilation")
    tbClose1.ToolTipText = RM.GetString("Close the active compilation")
    tbPrint1.ToolTipText = RM.GetString("Print a cover from the existing compilation...")
    tbErase1.ToolTipText = RM.GetString("Erase the disc...")
    tbBurn1.ToolTipText = RM.GetString("Burn the existing compilation...")
    tbShowDropbox.ToolTipText = RM.GetString("Show Dropbox")
    tbDiscInfo1.ToolTipText = RM.GetString("Display media information")
    tbRecorderInfo1.ToolTipText = RM.GetString("Display recorder info")
    tbEject1.ToolTipText = RM.GetString("Eject the disc")
    tbCloseTray1.ToolTipText = RM.GetString("Close the CD-ROM tray")
    tbOptions1.ToolTipText = RM.GetString("CDBurnerXP options...")
    tbCheckVersion1.ToolTipText = RM.GetString("Check for a newer version")
    tbWeb1.ToolTipText = RM.GetString("CDBurnerXP on the Web")
    tbAbout1.ToolTipText = RM.GetString("About CDBurnerXP")
    tbHelp1.ToolTipText = RM.GetString("Show help for CDBurnerXP...")
    ' Textual representation of buttons
    tbOpen1.Text = RM.GetString("Open")
    tbSave1.Text = RM.GetString("Save")
    tbClose1.Text = RM.GetString("Close")
    tbPrint1.Text = RM.GetString("Print")
    tbErase1.Text = RM.GetString("Erase")
    tbBurn1.Text = RM.GetString("Burn")
    tbShowDropbox.Text = RM.GetString("Dropbox")
    tbDiscInfo1.Text = RM.GetString("Disc")
    tbRecorderInfo1.Text = RM.GetString("Recorder")
    tbEject1.Text = RM.GetString("Eject")
    tbCloseTray1.Text = RM.GetString("Cl&ose")
    tbOptions1.Text = RM.GetString("Options")
    tbCheckVersion1.Text = RM.GetString("Update")
    tbWeb1.Text = RM.GetString("Weblinks")
    tbAbout1.Text = RM.GetString("About")
    tbHelp1.Text = RM.GetString("Help")

    mnuShowText.Text = RM.GetString("Show text")
    mnuShowIconsText.Text = RM.GetString("Show icons and text")
    mnuShowIcons.Text = RM.GetString("Show icons")
  End Sub

  Protected Overrides Sub OnItemClicked(ByVal e As System.Windows.Forms.ToolStripItemClickedEventArgs)
    MyBase.OnItemClicked(e)

    If e.ClickedItem.Tag Is Nothing Then Return

    Select Case e.ClickedItem.Tag.ToString
      Case "Help"
        Try
          System.Diagnostics.Process.Start("http://www.cdburnerxp.se/help/")
        Catch
        End Try
      Case "About"
        Dim oFrmAbout As New frmAbout
        oFrmAbout.ShowDialog(Me)
      Case "Web"
        Dim oFrmWeb As New frmWeb
        oFrmWeb.ShowDialog(Me)
      Case "CheckVersion"
        AutoUpdate.CheckUpdateOnWebsite()
      Case "Options"
        Dim oFrmOptions As New frmOptions()
        oFrmOptions.ShowDialog(Me)
      Case Else
        Exit Sub
    End Select
  End Sub

  Private Sub InitializeComponent()
    Me.components = New System.ComponentModel.Container

    Me.SuspendLayout()

    InitAnimations(Me.components)

    Me.ResumeLayout(False)

  End Sub

  Private Shared Sub InitAnimations(ByVal components As System.ComponentModel.IContainer)
    Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(MainToolStrip))

    If Not imlAnimations Is Nothing Then
      Return
    End If

    imlAnimations = New System.Windows.Forms.ImageList(components)
    '
    'imlAnimations
    '
    imlAnimations.ImageStream = CType(resources.GetObject("imlAnimations.ImageStream"), System.Windows.Forms.ImageListStreamer)
    imlAnimations.TransparentColor = System.Drawing.Color.Transparent
    imlAnimations.Images.SetKeyName(0, "RipDisc01.ico")
    imlAnimations.Images.SetKeyName(1, "")
    imlAnimations.Images.SetKeyName(2, "")
    imlAnimations.Images.SetKeyName(3, "")
    imlAnimations.Images.SetKeyName(4, "")
    imlAnimations.Images.SetKeyName(5, "")
    imlAnimations.Images.SetKeyName(6, "")
    imlAnimations.Images.SetKeyName(7, "")
    imlAnimations.Images.SetKeyName(8, "")
    imlAnimations.Images.SetKeyName(9, "")
    imlAnimations.Images.SetKeyName(10, "")
    imlAnimations.Images.SetKeyName(11, "")
    imlAnimations.Images.SetKeyName(12, "")
    imlAnimations.Images.SetKeyName(13, "")
    imlAnimations.Images.SetKeyName(14, "")
    imlAnimations.Images.SetKeyName(15, "")
    imlAnimations.Images.SetKeyName(16, "")
    imlAnimations.Images.SetKeyName(17, "")
    imlAnimations.Images.SetKeyName(18, "")
    imlAnimations.Images.SetKeyName(19, "")
    imlAnimations.Images.SetKeyName(20, "")
    imlAnimations.Images.SetKeyName(21, "")
    imlAnimations.Images.SetKeyName(22, "")
    imlAnimations.Images.SetKeyName(23, "")
    imlAnimations.Images.SetKeyName(24, "")
    imlAnimations.Images.SetKeyName(25, "")
    imlAnimations.Images.SetKeyName(26, "")
    imlAnimations.Images.SetKeyName(27, "")
    imlAnimations.Images.SetKeyName(28, "")
    imlAnimations.Images.SetKeyName(29, "")
    imlAnimations.Images.SetKeyName(30, "")
    imlAnimations.Images.SetKeyName(31, "")
    imlAnimations.Images.SetKeyName(32, "")
    imlAnimations.Images.SetKeyName(33, "")
    imlAnimations.Images.SetKeyName(34, "")
    imlAnimations.Images.SetKeyName(35, "")
    imlAnimations.Images.SetKeyName(36, "")
    imlAnimations.Images.SetKeyName(37, "")
    imlAnimations.Images.SetKeyName(38, "")
    imlAnimations.Images.SetKeyName(39, "")
    imlAnimations.Images.SetKeyName(40, "")
    imlAnimations.Images.SetKeyName(41, "")
    imlAnimations.Images.SetKeyName(42, "")
    imlAnimations.Images.SetKeyName(43, "")
    imlAnimations.Images.SetKeyName(44, "")
    imlAnimations.Images.SetKeyName(45, "")
    imlAnimations.Images.SetKeyName(46, "")
    imlAnimations.Images.SetKeyName(47, "")
    imlAnimations.Images.SetKeyName(48, "")
    imlAnimations.Images.SetKeyName(49, "")
    imlAnimations.Images.SetKeyName(50, "")
    imlAnimations.Images.SetKeyName(51, "")
    imlAnimations.Images.SetKeyName(52, "")
    imlAnimations.Images.SetKeyName(53, "")
    imlAnimations.Images.SetKeyName(54, "")
    imlAnimations.Images.SetKeyName(55, "")
    imlAnimations.Images.SetKeyName(56, "")
    imlAnimations.Images.SetKeyName(57, "")
    imlAnimations.Images.SetKeyName(58, "")
    imlAnimations.Images.SetKeyName(59, "")
    imlAnimations.Images.SetKeyName(60, "")
    imlAnimations.Images.SetKeyName(61, "")
    imlAnimations.Images.SetKeyName(62, "")
    imlAnimations.Images.SetKeyName(63, "")
    imlAnimations.Images.SetKeyName(64, "")
    imlAnimations.Images.SetKeyName(65, "")
    imlAnimations.Images.SetKeyName(66, "")
    imlAnimations.Images.SetKeyName(67, "")
    imlAnimations.Images.SetKeyName(68, "")
    imlAnimations.Images.SetKeyName(69, "")
    imlAnimations.Images.SetKeyName(70, "")
    imlAnimations.Images.SetKeyName(71, "")
    imlAnimations.Images.SetKeyName(72, "")
    imlAnimations.Images.SetKeyName(73, "")
    imlAnimations.Images.SetKeyName(74, "")
    imlAnimations.Images.SetKeyName(75, "")
    imlAnimations.Images.SetKeyName(76, "")
    imlAnimations.Images.SetKeyName(77, "")
    imlAnimations.Images.SetKeyName(78, "")
    imlAnimations.Images.SetKeyName(79, "")
    imlAnimations.Images.SetKeyName(80, "")
    imlAnimations.Images.SetKeyName(81, "")
    imlAnimations.Images.SetKeyName(82, "")
    imlAnimations.Images.SetKeyName(83, "")
    imlAnimations.Images.SetKeyName(84, "")
    imlAnimations.Images.SetKeyName(85, "")
    imlAnimations.Images.SetKeyName(86, "")
    imlAnimations.Images.SetKeyName(87, "")
    imlAnimations.Images.SetKeyName(88, "")
    imlAnimations.Images.SetKeyName(89, "")
    imlAnimations.Images.SetKeyName(90, "")
    imlAnimations.Images.SetKeyName(91, "")
    imlAnimations.Images.SetKeyName(92, "")
    imlAnimations.Images.SetKeyName(93, "")
    imlAnimations.Images.SetKeyName(94, "")
    imlAnimations.Images.SetKeyName(95, "")
    imlAnimations.Images.SetKeyName(96, "")
    imlAnimations.Images.SetKeyName(97, "")
    imlAnimations.Images.SetKeyName(98, "")
    imlAnimations.Images.SetKeyName(99, "")
    imlAnimations.Images.SetKeyName(100, "")
    imlAnimations.Images.SetKeyName(101, "")
    imlAnimations.Images.SetKeyName(102, "")
    imlAnimations.Images.SetKeyName(103, "")
    imlAnimations.Images.SetKeyName(104, "")
    imlAnimations.Images.SetKeyName(105, "")
    imlAnimations.Images.SetKeyName(106, "")
    imlAnimations.Images.SetKeyName(107, "")
    imlAnimations.Images.SetKeyName(108, "")
    imlAnimations.Images.SetKeyName(109, "")
    imlAnimations.Images.SetKeyName(110, "")
    imlAnimations.Images.SetKeyName(111, "")
    imlAnimations.Images.SetKeyName(112, "")
    imlAnimations.Images.SetKeyName(113, "")
    imlAnimations.Images.SetKeyName(114, "")
    imlAnimations.Images.SetKeyName(115, "")
    imlAnimations.Images.SetKeyName(116, "")
    imlAnimations.Images.SetKeyName(117, "")
    imlAnimations.Images.SetKeyName(118, "")
    imlAnimations.Images.SetKeyName(119, "")
    imlAnimations.Images.SetKeyName(120, "")
    imlAnimations.Images.SetKeyName(121, "")
    imlAnimations.Images.SetKeyName(122, "")
    imlAnimations.Images.SetKeyName(123, "")
    imlAnimations.Images.SetKeyName(124, "")
    imlAnimations.Images.SetKeyName(125, "")
    imlAnimations.Images.SetKeyName(126, "")
    imlAnimations.Images.SetKeyName(127, "")
    imlAnimations.Images.SetKeyName(128, "")
    imlAnimations.Images.SetKeyName(129, "")
    imlAnimations.Images.SetKeyName(130, "")
    imlAnimations.Images.SetKeyName(131, "")
    imlAnimations.Images.SetKeyName(132, "")
    imlAnimations.Images.SetKeyName(133, "")
    imlAnimations.Images.SetKeyName(134, "")
    imlAnimations.Images.SetKeyName(135, "")
    imlAnimations.Images.SetKeyName(136, "")
    imlAnimations.Images.SetKeyName(137, "")
    imlAnimations.Images.SetKeyName(138, "")
    imlAnimations.Images.SetKeyName(139, "")
    imlAnimations.Images.SetKeyName(140, "")
    imlAnimations.Images.SetKeyName(141, "")
    imlAnimations.Images.SetKeyName(142, "")
    imlAnimations.Images.SetKeyName(143, "")
    imlAnimations.Images.SetKeyName(144, "")
    imlAnimations.Images.SetKeyName(145, "")
    imlAnimations.Images.SetKeyName(146, "")
    imlAnimations.Images.SetKeyName(147, "")
    imlAnimations.Images.SetKeyName(148, "")
    imlAnimations.Images.SetKeyName(149, "")
    imlAnimations.Images.SetKeyName(150, "")
    imlAnimations.Images.SetKeyName(151, "")
    imlAnimations.Images.SetKeyName(152, "")
    imlAnimations.Images.SetKeyName(153, "")
    imlAnimations.Images.SetKeyName(154, "")
    imlAnimations.Images.SetKeyName(155, "")
    imlAnimations.Images.SetKeyName(156, "")
    imlAnimations.Images.SetKeyName(157, "")
    imlAnimations.Images.SetKeyName(158, "")
  End Sub

#Region "Menu events"

  Private Sub mnuShowText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuShowText.Click
    For Each toolButton As ToolStripItem In Me.Items
      toolButton.DisplayStyle = ToolStripItemDisplayStyle.Text
    Next

    mnuShowText.Checked = True
    mnuShowIconsText.Checked = False
    mnuShowIcons.Checked = False
    ApplicationSettings.ToolbarDisplayStyle = ToolStripItemDisplayStyle.Text
  End Sub

  Private Sub mnuShowIconsText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuShowIconsText.Click
    For Each toolButton As ToolStripItem In Me.Items
      toolButton.DisplayStyle = ToolStripItemDisplayStyle.ImageAndText
      toolButton.TextImageRelation = TextImageRelation.ImageAboveText
    Next

    mnuShowText.Checked = False
    mnuShowIconsText.Checked = True
    mnuShowIcons.Checked = False
    ApplicationSettings.ToolbarDisplayStyle = ToolStripItemDisplayStyle.ImageAndText
  End Sub

  Private Sub mnuShowIcons_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuShowIcons.Click
    For Each toolButton As ToolStripItem In Me.Items
      toolButton.DisplayStyle = ToolStripItemDisplayStyle.Image
    Next

    mnuShowText.Checked = False
    mnuShowIconsText.Checked = False
    mnuShowIcons.Checked = True
    ApplicationSettings.ToolbarDisplayStyle = ToolStripItemDisplayStyle.Image
  End Sub

#End Region
End Class
