'*************************************************************************
' Klass: frmCDDVDConvertISO
' Beroenden: 
' Syfte: 
' F�rfattare: Fredrik Haglund, Stefan Haglund
' Senast �ndrad av: Stefan Haglund
' Senast �ndrad: 2007-04-24 18:15
' Kommentarer: 
'*************************************************************************

Imports System.Threading
Imports System.Globalization
Imports System.Resources
Imports System.IO
Imports Microsoft.Win32
Imports CDBurnerXP.Burning
Imports CDBurnerXP.IO
Imports CDBurnerXP.Controls
Imports CDBurnerXP.Drawing

Public Class frmCDDVDDropBox
  Private m_OwnerForm As frmDataCompilation = frmDataCompilation.CDDVDInstance
  Private tmpDevice As NMSDVDXLib.DeviceX
  Private tmpDataImage As NMSDVDXLib.IDataImageX
  Private m_MediaType As NMSDVDXLib.eMediaTypeX
  Private m_sDropPath As String = ""
  Private m_sCurrentFolder As String
  Private strFiles As String
  Private strOnDisc As String
  Private strTotal As String
  Private strFree As String
  Private strFree2 As String
  Private strCurrentFolder As String
  Private MoveMouseDown As Boolean
  Private MoveX As Integer
  Private MoveY As Integer


  Public Sub New(ByRef mDevice As NMSDVDXLib.DeviceX, ByRef mDataImage As NMSDVDXLib.IDataImageX, ByRef Owner As frmDataCompilation)
    ' This call is required by the Windows Form Designer.
    InitializeComponent()

    ' Add any initialization after the InitializeComponent() call.
    tmpDevice = mDevice
    tmpDataImage = mDataImage
    m_OwnerForm = Owner
    UpdateSizeBarValue()
    picBkg.Image = RtlHelper.FlipIfNecessary(picBkg.Image, Me.RightToLeftLayout)
  End Sub

  Private Sub frmDesktopWindow_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
    SetStyle(ControlStyles.DoubleBuffer Or ControlStyles.UserPaint Or ControlStyles.AllPaintingInWmPaint, True)
    'Language Set
    strFiles = RM.GetString("Files: {0}")
    strOnDisc = RM.GetString("Used: {0}")
    strTotal = RM.GetString("Estimated size: {0}")
    strFree = RM.GetString("Remaining: {0}")
    strFree2 = RM.GetString("Remaining: (Unknown)")
    strCurrentFolder = RM.GetString("Current Drop Folder:")
    cmnuDropboxPaste.Text = RM.GetString("Paste")
    cmnuDropboxSelectDropFolder.Text = RM.GetString("Select folder to drop into")
    m_sCurrentFolder = RM.GetString("Root")
    Sizebar.UseWarning = False
    m_OwnerForm.MsgBoxOwner = Me
    If Not tmpDevice Is Nothing Then
      m_MediaType = tmpDevice.GetDiscInfo.GetMediaType
    End If
    Me.Location = CDBurnerXP.ApplicationSettings.DataDropFormLocation
    UpdateSizeBarValue()
  End Sub

  Private Sub frmDesktopWindow_Closed(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Closed
    m_OwnerForm.MsgBoxOwner = m_OwnerForm
    CDBurnerXP.ApplicationSettings.DataDropFormLocation = Me.Location
  End Sub

  Protected Overrides Sub OnMediaChanged(ByVal VolumeLabel As String)
    m_MediaType = tmpDevice.GetDiscInfo.GetMediaType
    Me.Invalidate()
    UpdateSizeBarValue()
  End Sub

  Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
    MyBase.OnPaint(e)
    e.Graphics.TextRenderingHint = System.Drawing.Text.TextRenderingHint.AntiAlias
    e.Graphics.DrawImage(picBkg.Image, CSng((Me.Width - picBkg.Image.Width) / 2), CSng((Me.Height - picBkg.Image.Height) / 2), picBkg.Image.Width, picBkg.Image.Height)

    If Me.RightToLeftLayout Then
      e.Graphics.DrawRectangle(Pens.Black, New Rectangle(Me.DisplayRectangle.X + 1, Me.DisplayRectangle.Y, Me.DisplayRectangle.Width - 1, Me.DisplayRectangle.Height - 1))
    Else
      e.Graphics.DrawRectangle(Pens.Black, New Rectangle(Me.DisplayRectangle.X, Me.DisplayRectangle.Y, Me.DisplayRectangle.Width - 1, Me.DisplayRectangle.Height - 1))
    End If

    Dim b As New SolidBrush(Color.FromArgb(180, 0, 0, 0))
    'Draw Info Strings
    e.Graphics.DrawString(String.Format(strFiles, tmpDataImage.GetFileLayout.GetFileCount), Me.Font, b, 4, 12)
    e.Graphics.DrawString(FormatTranslation("Directories: {0}", tmpDataImage.GetFileLayout.GetFolderCount), Me.Font, b, 4, 24)
    e.Graphics.DrawString(String.Format(strOnDisc, FormatFileSize.Format(Sizebar.OnDiscValue * 1024 * 1024)), Me.Font, b, 4, 36)
    e.Graphics.DrawString(String.Format(strTotal, FormatFileSize.Format((Sizebar.OnDiscValue + Sizebar.BarValue) * 1024 * 1024)), Me.Font, b, 4, 48)
    e.Graphics.DrawString(String.Format(strCurrentFolder, m_sCurrentFolder), Me.Font, b, 4, 72)
    e.Graphics.DrawImage(FileLayoutManager.FileIcons.Images("?Folder"), 4, 84, 16, 16)
    e.Graphics.DrawString(m_sCurrentFolder, Me.Font, b, 21, 86)
    If m_MediaType <> NMSDVDXLib.eMediaTypeX.mtNOT_LOADED Then
      e.Graphics.DrawString(String.Format(strFree, FormatFileSize.Format((Sizebar.OverDiscValue - Sizebar.BarValue - Sizebar.OnDiscValue) * 1024 * 1024)), Me.Font, b, 4, 60)
    Else
      e.Graphics.DrawString(strFree2, Me.Font, b, 4, 60)
    End If
    b.Dispose()
  End Sub

  Private Sub frmDesktopWindow_DragOver(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles MyBase.DragOver
    e.Effect = DragDropEffects.Copy
  End Sub

  Private Sub UpdateSizeBarValue()
    Sizebar.MaxValue = m_OwnerForm.Sizebar3.MaxValue
    Sizebar.BarValue = m_OwnerForm.Sizebar3.BarValue
    Sizebar.OnDiscValue = m_OwnerForm.Sizebar3.OnDiscValue
    Sizebar.OverDiscValue = m_OwnerForm.Sizebar3.OverDiscValue
    Sizebar.UpdateSizeBar()
    Me.Invalidate()
  End Sub

  Private Sub frmDesktopWindow_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles MyBase.DragDrop
    If Not e.Data.GetDataPresent(DataFormats.FileDrop) Then
      Exit Sub
    End If

    m_OwnerForm.AddToQueue(CType(e.Data.GetData(DataFormats.FileDrop), String()), m_sDropPath)

    UpdateSizeBarValue()
    Me.UseWaitCursor = False
  End Sub

  Private Sub cmnuDropbox_Opening(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmnuDropbox.Popup
    If SafeClipboard.IsDataPresent(DataFormats.FileDrop) Then
      cmnuDropboxPaste.Enabled = True
    Else
      cmnuDropboxPaste.Enabled = False
    End If
  End Sub

  Private Sub frmCDDVDDropBox_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseDown
    If e.Button = Windows.Forms.MouseButtons.Left Then
      MoveMouseDown = True
      MoveX = e.X
      MoveY = e.Y
    End If
  End Sub

  Private Sub frmCDDVDDropBox_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseUp
    MoveMouseDown = False
  End Sub

  Private Sub frmCDDVDDropBox_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseMove
    If MoveMouseDown Then
      If Me.RightToLeftLayout Then
        Me.Left = Me.Left - (e.X - MoveX)
      Else
        Me.Left = Me.Left + (e.X - MoveX)
      End If
      Me.Top = Me.Top + (e.Y - MoveY)
    End If
  End Sub

  Private Sub cmnuDropboxPaste_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmnuDropboxPaste.Click
    If SafeClipboard.IsDataPresent(DataFormats.FileDrop) Then
      m_OwnerForm.AddToQueue(CType(SafeClipboard.GetData(DataFormats.FileDrop), String()), m_sDropPath)
    End If
  End Sub

  Private Sub frmCDDVDDropBox_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles MyBase.KeyDown
    Select Case e.KeyCode
      Case Keys.V
        If e.Control = True Then
          If SafeClipboard.IsDataPresent(DataFormats.FileDrop) Then
            m_OwnerForm.AddToQueue(CType(SafeClipboard.GetData(DataFormats.FileDrop), String()), m_sDropPath)
          End If
        End If
    End Select
  End Sub

  Private Sub cmnuDropboxSelectDropFolder_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmnuDropboxSelectDropFolder.Click
    Dim f As New frmCDDVDSelectDropFolder(m_OwnerForm.tvDirectories)
    f.ShowDialog(Me)
    Application.DoEvents()

    m_sDropPath = m_OwnerForm.tvDirectories.GetPath(f.SelectedNode)
    If String.IsNullOrEmpty(m_sDropPath) Then
      m_imgFolderIcon = My.Resources.CD
      m_sCurrentFolder = RM.GetString("Root")
    Else
      m_imgFolderIcon = FileLayoutManager.FileIcons.Images("?Folder")
      m_sCurrentFolder = f.SelectedNode.Text
    End If
    Me.Invalidate()
  End Sub

  Private Sub cmdCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCancel.Click
    Me.Close()
  End Sub

  Private Sub tmrUpdateSizebar(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrUpdateBar.Tick
    UpdateSizeBarValue()
  End Sub

  Private Sub frmCDDVDDropBox_FormClosed(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
    m_OwnerForm.MsgBoxOwner = m_OwnerForm
  End Sub
End Class
