'*************************************************************************
' Klass: frmErrorReport
' Beroenden: 
' Syfte: 
' F�rfattare: Fredrik Haglund, Stefan Haglund
' Senast �ndrad av: Stefan Haglund
' Senast �ndrad: 2007-04-26 08:25
' Kommentarer: 
'*************************************************************************

Imports System.Net
Imports System.IO
Imports System.Threading
Imports System.Globalization
Imports System.Resources
Imports System.Text
Imports CDBurnerXP.Net


Public Class frmErrorReport
  Private m_ErrorReport As ErrorReport

  Public Sub New(ByVal r As Exception)
    ' This call is required by the Windows Form Designer.
    InitializeComponent()

    ' Add any initialization after the InitializeComponent() call.
    m_ErrorReport = New ErrorReport(r)
    AddHandler m_ErrorReport.SubmitCompleted, AddressOf OnSubmitCompleted
  End Sub

  Private Sub cmdAbort_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAbort.Click
    If m_ErrorReport.IsBusy Then
      If MessageBox.Show(Me, RM.GetString("Sending error report is still in progress. Do you want to abort sending the error report?"), Application.ProductName, MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) = Windows.Forms.DialogResult.Yes Then
        m_ErrorReport.Cancel()
      Else
        Exit Sub
      End If
    End If
    Me.DialogResult = Windows.Forms.DialogResult.Abort
    Me.Close()
  End Sub

  Private Sub cmdIgnore_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdIgnore.Click
    If m_ErrorReport.IsBusy = True Then
      If MessageBox.Show(Me, RM.GetString("Sending error report is still in progress. Do you want to abort sending the error report?"), Application.ProductName, MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1) = Windows.Forms.DialogResult.Yes Then
        m_ErrorReport.Cancel()
      Else
        Exit Sub
      End If
    End If
    Me.DialogResult = Windows.Forms.DialogResult.Ignore
    Me.Close()
  End Sub

  Private Sub frmErrorReport_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'Language Set

    Me.Text = RM.GetString("CDBurnerXP Error Report")
    lblSorry.Text = RM.GetString("We are sorry you encountered this error. To help us solve the issue please send us the report.")
    txtUserInfo.Text = RM.GetString("[Please explain (as detailed as possible and preferably in english) what you did or the steps to reproduce this issue]")
    cmdSendReport.Text = RM.GetString("Send Report")
    sepEmail.Text = RM.GetString("Enter your e-mail address (Optional)")
    cmdIgnore.Text = RM.GetString("Ignore")
    cmdAbort.Text = RM.GetString("Abort")
    lnkPrivacy.Text = RM.GetString("Privacy Policy")
    sepErrorMessage.Text = RM.GetString("Error message")
    sepExplanationMessage.Text = RM.GetString("Explaination")
    chkAttachScreenShot.Text = RM.GetString("Attach a screenshot with the error report")

    txtUserInfo.SelectAll()
    txtError.Text = m_ErrorReport.ErrorReportText

    ' Make screenshot before this dialog covers the sight
    m_ErrorReport.TakeScreenshot()
  End Sub

  Private Sub OnSubmitCompleted(ByVal sender As Object, ByVal e As System.ComponentModel.AsyncCompletedEventArgs)
    If e.Cancelled Then Exit Sub

    prbSendMail.Enabled = False
    prbSendMail.Visible = False
    cmdSendReport.Visible = True
    cmdSendReport.Enabled = True

    If Not e.Error Is Nothing Then
      MessageBox.Show(RM.GetString("Error while trying to send error report.") + " " + e.Error.Message, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error)
    Else
      MessageBox.Show(RM.GetString("Error report successfully sent. Thank you for reporting this error!"), Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Information)
    End If
  End Sub

  Private Sub SendErrorReport()
    m_ErrorReport.SendScreenshot = chkAttachScreenShot.Checked
    m_ErrorReport.UserEmail = txtEmail.Text
    m_ErrorReport.UserInfo = txtUserInfo.Text
    m_ErrorReport.BeginSubmit()
  End Sub

  Private Sub cmdSendReport_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSendReport.Click
    cmdSendReport.Visible = False
    prbSendMail.Visible = True
    prbSendMail.Style = ProgressBarStyle.Marquee
    prbSendMail.MarqueeAnimationSpeed = 50
    SendErrorReport()
  End Sub

End Class
