﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Text;
using CDBurnerXP.Controls;
using System.Drawing;
using System.Windows.Forms;

namespace CDBurnerXP.Controls
{
    public partial class ListBoxPanelSimple : ListBoxPanel
    {
        public Image Image
        {
            get
            {
                return lblImage.Image;
            }
            set
            {
                if (value != lblImage.Image)
                {
                    lblImage.Image = value;
                    if (lblImage.Image == null || Image.Width == 0 || Image.Height == 0)
                    {
                        lblImage.Visible = false;
                    }
                    else
                    {
                        lblImage.Width = lblImage.Image.Width;
                        lblImage.Height = lblImage.Image.Height;
                        lblImage.Visible = true;
                    }
                }
            }
        }

        [Browsable(true), DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public override string Text
        {
            get
            {
                return lblHeader.Text;
            }
            set
            {
                lblHeader.Text = value;
            }
        }

        public string DescriptionText
        {
            get
            {
                return lblDescription.Text;
            }
            set
            {
                if (value != lblDescription.Text)
                {
                    lblDescription.Text = value;
                    lblDescription.Visible = !string.IsNullOrEmpty(lblDescription.Text);
                }
            }
        }

        public ListBoxPanelSimple()
        {
            InitializeComponent();
            SetStyle(ControlStyles.OptimizedDoubleBuffer | ControlStyles.AllPaintingInWmPaint, true);
            GetAllMouseDowns(Controls);
        }

        protected override bool ProcessMnemonic(char charCode)
        {
            // Make sure that access keys in the header labels are
            // used for the whole ListBox
            if (IsMnemonic(charCode, lblHeader.Text))
            {
                Focus();
                Selected = true;
                return true;
            }

            return base.ProcessMnemonic(charCode);
        }
    }
}
