﻿using System;
using System.Collections.Generic;
using System.Text;
using LogicNP.ShComboBoxControl;
using System.Windows.Forms;
using CDBurnerXP.Forms;

namespace CDBurnerXP.Controls
{
    public class RtlShComboBox : ShComboBox, IMirrorControl
    {
        protected override void OnHandleCreated(EventArgs e)
        {
            base.OnHandleCreated(e);

            // See http://www.ssware.com/megapack/dynamic_licensing_net.htm
            string prefix = @"\\192.168.1.1\IntraNet\";
            this.SetPath(prefix + "Nv?>ADXpb2HmYV2dU1LlbVj-ehnAYV3rZWXiclHiIDvmbVj-ZVOnaV3jb/@gYV3rZWXiclHiLlLsbPB?Q8utDADvTdM0z5D4oS6iCS6uXAl(x`onrW4.77MVPBf?nTr-s3X4nP6/CSS^gHa");
        }

        #region IMirrorControl Member

        public bool Mirror { get; set; }

        protected override CreateParams CreateParams
        {
            get
            {
                if (this.Mirror || BaseForm.IsRightToLeftCulture)
                {
                    try
                    {
                        this.RightToLeftLayout = true;
                    }
                    catch (Exception)
                    {
                        // New property, older versions of the same DLL (if installed in GAC) may not have it.
                    }

                    CreateParams mirroredCp = base.CreateParams;
                    mirroredCp.ExStyle = mirroredCp.ExStyle | 0x400000;
                    return mirroredCp;
                }

                return base.CreateParams;
            }
        }

        #endregion
    }
}
