﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace CDBurnerXP.Forms
{
    public class SafeTabControl : TabControl
    {
        protected override void OnHandleDestroyed(EventArgs e)
        {
            try
            {
                base.OnHandleDestroyed(e);
            }
            catch (KeyNotFoundException)
            {
                // System.Windows.Forms.NativeWindow.RemoveWindowFromIDTable failed miserably,
                // bug in .NET Framework. Nothing we can do about that, but nothing we need to show
                // an error report for either.
            }
        }
    }
}
