using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Diagnostics;
using System.Windows.Forms;

namespace CDBurnerXP.IO
{
    public class RemoveAutoPlay : NativeWindow
    {
        [DllImport("User32.dll", CharSet = CharSet.Auto, SetLastError = true, ExactSpelling = false)]
        public static extern int RegisterWindowMessage(string lpString);
        private int QueryCancelAutoPlay;

        public RemoveAutoPlay(IntPtr handle)
        {
            base.AssignHandle(handle);
            QueryCancelAutoPlay = RegisterWindowMessage("QueryCancelAutoPlay");
        }

        [DebuggerStepThrough()]
        protected override void WndProc(ref Message m)
        {
            if (m.Msg == QueryCancelAutoPlay)
            {
                m.Result = new IntPtr(1);
                return;
            }

            base.WndProc(ref m);
        }
    }
}
