using System;
using System.Collections.Generic;
using System.Text;
using NMSDVDXLib;
using CDBurnerXP.Windows.Forms;
using System.Windows.Forms;
using CDBurnerXP.Burning;
using System.Runtime.InteropServices;

namespace CDBurnerXP.Net
{
    public class BurnErrorReport : ErrorReport
    {
        public enum UIText
        {
            Title,
            Description,
            SendReport
        }

        private static Dictionary<UIText, string> m_Translations = new Dictionary<UIText, string>();

        #region Properties

        public static Dictionary<UIText, string> Translation
        {
            get
            {
                return m_Translations;
            }
        }

        public string Message
        {
            get
            {
                return m_Exception.Message;
            }
        }

        #endregion

        public BurnErrorReport(WriteErrorX error)
            : base(null)
        {
            m_Exception = new BurnProcessFailedException(error);
        }

        public BurnErrorReport(COMException error)
            : base(null)
        {
            m_Exception = error;
        }

        public void ShowErrorAndAskForReport(IWin32Window owner, bool loggingEnabled)
        {
            TaskDialogResult result = TaskDialog.ShowTaskDialogBox(owner, Application.ProductName,
                                                                   Translation[UIText.Title],
                                                                   Translation[UIText.Description],
                                                                   Message, "",
                                                                   (loggingEnabled ? Translation[UIText.SendReport] : ""),
                                                                   eTaskDialogButtons.Close, eSysIcons.Error, eSysIcons.Error);
            if (result.VerificationChecked)
            {
                string logFile = BurningEngine.GetLogAndDisable();
                UserInfo = logFile;
                this.BeginSubmit();
            }
        }
    }
}
