#define CDBVERSION "4.4.1.3281"

#include AddBackslash(SourcePath) + "translations.iss"

// OpenCandy info
#define OC_STR_MY_PRODUCT_NAME "CDBurnerXP"
#define OC_STR_KEY "2177b6e8819f987f1c1106aad952a1f7"
#define OC_STR_SECRET "d74174f7ee2d8ef0cb889880584fb794"
#define OC_STR_REGISTRY_PATH "Software\Canneverbe Limited\OpenCandy"
// Optionally change the path to OCSetupHlp.dll here if it's not in the same folder
// as your .iss file. The file name part of the path must remain "OCSetupHlp.dll".
// You must specify the relative path from your .iss file location.
#define OC_OCSETUPHLP_FILE_PATH "..\Resources\OCSetupHlp.dll"

#if defined(NOTOOLBAR)
#define SETUPNAMEPOSTFIX "_minimal"
#else
#define SETUPNAMEPOSTFIX ""
#endif

#if !defined(RELEASE)
#if defined(X64)
#define RELEASE "..\..\CDBurnerXP\bin\x64\Release"
#define RELEASEUPDATE "..\..\Updater\bin\x64\Release"
#define RELEASECMD "..\..\CDBurnerXPCommandLine\bin\x64\Release"
#else
#define RELEASE "..\..\CDBurnerXP\bin\Release"
#define RELEASEUPDATE "..\..\Updater\bin\Release"
#define RELEASECMD "..\..\CDBurnerXPCommandLine\bin\Release"
#endif
#endif

[Setup]
InternalCompressLevel=ultra
OutputDir=..

#if defined(X64)
OutputBaseFilename=cdbxp_setup_{#CDBVERSION}_x64{#SETUPNAMEPOSTFIX}
#else
OutputBaseFilename=cdbxp_setup_{#CDBVERSION}{#SETUPNAMEPOSTFIX}
#endif

#if defined(X64)
ArchitecturesAllowed=x64 ia64
#else
ArchitecturesAllowed=x86 x64 ia64
#endif
#if defined(X64)
ArchitecturesInstallIn64BitMode=x64 ia64
#endif
SolidCompression=true
VersionInfoVersion={#CDBVERSION}
VersionInfoCompany=Canneverbe Limited
VersionInfoDescription=CDBurnerXP
VersionInfoTextVersion={#CDBVERSION}
AppName=CDBurnerXP
MinVersion=0,5.0.2195
AppCopyright=2001-2012 Canneverbe Limited
AppVerName=CDBurnerXP {#CDBVERSION}
ChangesAssociations=true
DefaultDirName={pf}\CDBurnerXP
DefaultGroupName=CDBurnerXP
AlwaysShowDirOnReadyPage=true
AlwaysShowGroupOnReadyPage=true
ShowLanguageDialog=auto
SetupIconFile=cdbxpp_setup.ico
AppPublisher=CDBurnerXP
AppPublisherURL=http://www.cdburnerxp.se
AppSupportURL=http://www.cdburnerxp.se
AppUpdatesURL=http://www.cdburnerxp.se
AppVersion={#CDBVERSION}
;AppID={{8D9D8304-5241-41EB-BC97-D78E094323B7}
UninstallDisplayIcon=cdbxpp_setup.ico
UninstallDisplayName=CDBurnerXP
Compression=lzma/ultra
UsePreviousAppDir=true
WizardImageFile=WizModernImage4.bmp
WizardSmallImageFile=WizModernSmallImage4.bmp
#if defined(NOTOOLBAR)
LicenseFile=License.rtf
#else
LicenseFile=License-OpenCandy.rtf
#endif defined(NOTOOLBAR)
PrivilegesRequired=admin
AlwaysRestart=false
RestartIfNeededByRun=false
DisableStartupPrompt=true
AppendDefaultGroupName=true
UsePreviousGroup=true
ShowTasksTreeLines=true
AppID={{7E265513-8CDA-4631-B696-F40D983F3B07}
SetupLogging=false
LanguageDetectionMethod=uilanguage
DisableReadyPage=true
DisableProgramGroupPage=true

[Types]
Name: full; Description: {cm:FullInstallation}
Name: compact; Description: {cm:CompactInstallation}
Name: custom; Description: {cm:CustomInstallation}; Flags: iscustom

[Components]
Name: main; Description: {cm:CDBXPFiles}; Flags: fixed; Types: full compact custom
Name: nmsaccess; Description: {cm:NMSAccessDesc}; Types: custom compact full; OnlyBelowVersion: 0,6.0.6000; Flags: disablenouninstallwarning
Name: lang; Description: {cm:Languages}; Types: custom compact full
Name: lang\Arabic; Description: Arabic (Jordan); Flags: checkablealone; Types: custom full
Name: lang\BahasaMelayu; Description: Bahasa Melayu (Malaysia); Flags: checkablealone; Types: custom full
Name: lang\Bulgarian; Description: Bulgarian (Bulgaria); Flags: checkablealone; Types: custom full
Name: lang\Czech; Description: Czech (Czech Republic); Flags: checkablealone; Types: custom full
Name: lang\Croatian; Description: Croatian (Croatia); Flags: checkablealone; Types: custom full
Name: lang\Catalan; Description: Catalan (Catalonia); Flags: checkablealone; Types: custom full
Name: lang\Denmark; Description: Danish (Denmark); Flags: checkablealone; Types: custom full
Name: lang\Netherlands; Description: Dutch (Netherlands); Flags: checkablealone; Types: custom full
Name: lang\Estonian; Description: Estonian (Estonia); Flags: checkablealone; Types: custom full
Name: lang\Finnish; Description: Finnish (Finland); Types: custom full; Flags: checkablealone
Name: lang\France; Description: French (France); Types: custom full; Flags: checkablealone
Name: lang\Galician; Description: Galician (Galicia); Types: custom full; Flags: checkablealone
Name: lang\Georgian; Description: Georgian (Georgia); Types: custom full; Flags: checkablealone
Name: lang\Germany; Description: German (Germany); Types: custom full; Flags: checkablealone
Name: lang\Greek; Description: Greek (Greece); Flags: checkablealone; Types: custom full
Name: lang\Hebrew; Description: Hebrew (Israel); Flags: checkablealone; Types: custom full
Name: lang\Hungary; Description: Hungarian (Hungary); Flags: checkablealone; Types: custom full
Name: lang\Italy; Description: Italian (Italy); Flags: checkablealone; Types: custom full
Name: lang\Japan; Description: Japanese (Japan); Flags: checkablealone; Types: custom full
Name: lang\Kazakh; Description: Kazakh (Kazakhstan); Flags: checkablealone; Types: custom full
Name: lang\Korean; Description: Korean (Korea, Republic of); Flags: checkablealone; Types: custom full
Name: lang\Latvian; Description: Latvian (Latvia); Flags: checkablealone; Types: custom full
Name: lang\Lithuanian; Description: Lithuanian (Lithuania); Flags: checkablealone; Types: custom full
Name: lang\Norway; Description: Norwegian (Norway); Flags: checkablealone; Types: custom full
Name: lang\Poland; Description: Polish (Poland); Flags: checkablealone; Types: custom full
Name: lang\Portugal; Description: Portuguese (Portugal); Flags: checkablealone; Types: custom full
Name: lang\Brazil; Description: Portuguese (Brazil); Flags: checkablealone; Types: custom full
Name: lang\Romania; Description: Romanian (Romania); Flags: checkablealone; Types: custom full
Name: lang\Russia; Description: Russian (Russia); Flags: checkablealone; Types: custom full
Name: lang\ChineseSimple; Description: Simplified Chinese; Flags: checkablealone; Types: custom full
Name: lang\Serbian; Description: Serbian (Srbija i Crna Gora); Flags: checkablealone; Types: custom full
Name: lang\Slovakia; Description: Slovak (Slovakia); Flags: checkablealone; Types: custom full
Name: lang\Slovenia; Description: Slovenian (Slovenia); Flags: checkablealone; Types: custom full
Name: lang\Mexico; Description: Spanish (Mexico); Flags: checkablealone; Types: custom full
Name: lang\Spain; Description: Spanish (Spain); Flags: checkablealone; Types: custom full
Name: lang\Argentina; Description: Spanish (Argentina); Flags: checkablealone; Types: custom full
Name: lang\Sweden; Description: Swedish (Sweden); Flags: checkablealone; Types: custom full
Name: lang\ChineseTraditional; Description: Traditional Chinese; Flags: checkablealone; Types: custom full
Name: lang\Turkey; Description: Turkish (Turkey); Flags: checkablealone; Types: custom full
Name: lang\Ukrainian; Description: Ukrainian (Ukraine); Flags: checkablealone; Types: custom full

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}; Components: main
Name: desktopicon\common; Description: {cm:IconForAll}; Components: main; Flags: exclusive
Name: desktopicon\user; Description: {cm:IconForCurrent}; Components: main; Flags: exclusive unchecked
Name: quicklaunchicon; Description: {cm:CreateQuickLaunchIcon}; Components: main; Flags: unchecked
Name: sendToIcon; Description: {cm:SendTo}; Components: main; Flags: unchecked
Name: fileassoc; Description: {cm:AssociateCompilations}; GroupDescription: {cm:OtherTasks}; Flags: 
Name: isoassoc; Description: {cm:AssociateISO}; GroupDescription: {cm:OtherTasks}; Flags: unchecked

[Dirs]
Name: {app}\Resources; Components: main; Flags: uninsalwaysuninstall

[Files]
Source: License.rtf; Flags: dontcopy

#if !defined(NOTOOLBAR)
Source: {#OC_OCSETUPHLP_FILE_PATH}; Flags: dontcopy ignoreversion deleteafterinstall
#endif

; Bass
#if defined(X64)
Source: ..\..\Assemblies\x64\bass.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\basswma.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\bassmix.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\bassflac.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\basscd.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\bass_ape.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\bass_mpc.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\basswv.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
#else
Source: ..\..\Assemblies\bass.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\basswma.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\bassmix.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\bassflac.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\basscd.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\bass_ape.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\bass_mpc.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\basswv.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
#endif
Source: ..\..\Assemblies\Bass.Net.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion

; LogicNP
Source: ..\..\Assemblies\LogicNP.FileView.dll; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\LogicNP.FolderView.dll; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\LogicNP.ShComboBox.dll; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion

; Numedia
#if defined(X64)
Source: ..\..\Assemblies\x64\NMSDVDXU.dll; DestDir: {app}; Components: main; Flags: regserver restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\NMSAccessU.exe; DestDir: {app}; Components: nmsaccess; Flags: onlyifdoesntexist
#else
Source: ..\..\Assemblies\NMSDVDXU.dll; DestDir: {app}; Components: main; Flags: regserver restartreplace ignoreversion replacesameversion
Source: ..\Resources\NMSAccessU.exe; DestDir: {app}; Components: nmsaccess; Flags: onlyifdoesntexist
#endif
Source: {#RELEASE}\Interop.NMSDVDXLib.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion

; StarBurn
#if defined(X64)
Source: ..\..\Assemblies\x64\StarBurnX12.dll; DestDir: {app}; Components: main; Flags: regserver restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\StarBurn.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\vorbis.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\vorbisfile.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\x64\ogg.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
#else
Source: ..\..\Assemblies\StarBurnX12.dll; DestDir: {app}; Components: main; Flags: regserver restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\StarBurn.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\vorbis.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\vorbisfile.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\..\Assemblies\ogg.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
#endif

Source: {#RELEASE}\Interop.RocketDivision.StarBurnX.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: ..\Resources\StarOpenx64.sys; DestDir: {sys}\drivers; DestName: StarOpen.sys; Components: nmsaccess; Flags: restartreplace ignoreversion replacesameversion 64bit; Check: IsWin64
Source: ..\Resources\StarOpenx86.sys; DestDir: {sys}\drivers; DestName: StarOpen.sys; Components: nmsaccess; Flags: restartreplace ignoreversion replacesameversion 32bit

Source: {#RELEASE}\CsLib.dll; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASE}\cdbxpp.exe.manifest; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASE}\cdbxpp.exe.config; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASE}\Native.CDBXP.manifest; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASE}\Native.CsLib.manifest; Components: main; DestDir: {app}; Flags: restartreplace ignoreversion replacesameversion

Source: {#RELEASEUPDATE}\updater.exe; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASEUPDATE}\updater.exe.config; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASECMD}\cdbxpcmd.exe; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASECMD}\cdbxpcmd.exe.manifest; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASECMD}\cdbxpcmd.exe.config; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASE}\cdbxpp.exe; DestDir: {app}; Components: main; Flags: restartreplace ignoreversion replacesameversion
Source: {#RELEASE}\CDBXP.dll; DestDir: {app}; Components: main; Flags: restartreplace uninsrestartdelete ignoreversion replacesameversion

Source: {#RELEASE}\ar-JO\cdbxpp.resources.dll; DestDir: {app}\ar-JO; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Arabic
Source: {#RELEASE}\bg-BG\cdbxpp.resources.dll; DestDir: {app}\bg-BG; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Bulgarian
Source: {#RELEASE}\ca\cdbxpp.resources.dll; DestDir: {app}\ca; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Catalan
Source: {#RELEASE}\cs-CZ\cdbxpp.resources.dll; DestDir: {app}\cs-CZ; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Czech
Source: {#RELEASE}\de-DE\cdbxpp.resources.dll; DestDir: {app}\de-DE; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Germany
Source: {#RELEASE}\et-EE\cdbxpp.resources.dll; DestDir: {app}\et-EE; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Estonian
Source: {#RELEASE}\el-GR\cdbxpp.resources.dll; DestDir: {app}\el-GR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Greek
Source: {#RELEASE}\es-ES\cdbxpp.resources.dll; DestDir: {app}\es-ES; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Spain
Source: {#RELEASE}\es-MX\cdbxpp.resources.dll; DestDir: {app}\es-MX; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Mexico
Source: {#RELEASE}\es-AR\cdbxpp.resources.dll; DestDir: {app}\es-AR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Argentina
Source: {#RELEASE}\da-DK\cdbxpp.resources.dll; DestDir: {app}\da-DK; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Denmark
Source: {#RELEASE}\fi-FI\cdbxpp.resources.dll; DestDir: {app}\fi-FI; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Finnish
Source: {#RELEASE}\fr-FR\cdbxpp.resources.dll; DestDir: {app}\fr-FR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\France
Source: {#RELEASE}\he-IL\cdbxpp.resources.dll; DestDir: {app}\he-IL; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Hebrew
Source: {#RELEASE}\hr-HR\cdbxpp.resources.dll; DestDir: {app}\hr-HR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Croatian
Source: {#RELEASE}\hu-HU\cdbxpp.resources.dll; DestDir: {app}\hu-HU; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Hungary
Source: {#RELEASE}\id-ID\cdbxpp.resources.dll; DestDir: {app}\id-ID; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\BahasaMelayu
Source: {#RELEASE}\it-IT\cdbxpp.resources.dll; DestDir: {app}\it-IT; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Italy
Source: {#RELEASE}\ja-JP\cdbxpp.resources.dll; DestDir: {app}\ja-JP; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Japan
Source: {#RELEASE}\gl\cdbxpp.resources.dll; DestDir: {app}\gl; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Galician
Source: {#RELEASE}\ka-GE\cdbxpp.resources.dll; DestDir: {app}\ka-GE; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Georgian
Source: {#RELEASE}\ko-KR\cdbxpp.resources.dll; DestDir: {app}\ko-KR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Korean
Source: {#RELEASE}\kk-KZ\cdbxpp.resources.dll; DestDir: {app}\kk-KZ; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Kazakh
Source: {#RELEASE}\lv-LV\cdbxpp.resources.dll; DestDir: {app}\lv-LV; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Latvian
Source: {#RELEASE}\lt-LT\cdbxpp.resources.dll; DestDir: {app}\lt-LT; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Lithuanian
Source: {#RELEASE}\nl-NL\cdbxpp.resources.dll; DestDir: {app}\nl-NL; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Netherlands
Source: {#RELEASE}\nb-NO\cdbxpp.resources.dll; DestDir: {app}\nb-NO; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Norway
Source: {#RELEASE}\pl-PL\cdbxpp.resources.dll; DestDir: {app}\pl-PL; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Poland
Source: {#RELEASE}\pt-BR\cdbxpp.resources.dll; DestDir: {app}\pt-BR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Brazil
Source: {#RELEASE}\pt-PT\cdbxpp.resources.dll; DestDir: {app}\pt-PT; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Portugal
Source: {#RELEASE}\ro-RO\cdbxpp.resources.dll; DestDir: {app}\ro-RO; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Romania
Source: {#RELEASE}\ru-RU\cdbxpp.resources.dll; DestDir: {app}\ru-RU; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Russia
Source: {#RELEASE}\sk-SK\cdbxpp.resources.dll; DestDir: {app}\sk-SK; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Slovakia
Source: {#RELEASE}\sr-Latn-CS\cdbxpp.resources.dll; DestDir: {app}\sr-Latn-CS; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Serbian
Source: {#RELEASE}\sl-SI\cdbxpp.resources.dll; DestDir: {app}\sl-SI; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Slovenia
Source: {#RELEASE}\sv-SE\cdbxpp.resources.dll; DestDir: {app}\sv-SE; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Sweden
Source: {#RELEASE}\tr-TR\cdbxpp.resources.dll; DestDir: {app}\tr-TR; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Turkey
Source: {#RELEASE}\uk-UA\cdbxpp.resources.dll; DestDir: {app}\uk-UA; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\Ukrainian
Source: {#RELEASE}\zh-CHS\cdbxpp.resources.dll; DestDir: {app}\zh-CHS; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\ChineseSimple
Source: {#RELEASE}\zh-CHT\cdbxpp.resources.dll; DestDir: {app}\zh-CHT; Flags: restartreplace overwritereadonly ignoreversion replacesameversion; Components: lang\ChineseTraditional


Source: ..\..\CDBurnerXP\Resources\data.ico; DestDir: {app}; Flags: restartreplace overwritereadonly ignoreversion replacesameversion
Source: ..\..\CDBurnerXP\Resources\audio.ico; DestDir: {app}; Flags: restartreplace overwritereadonly ignoreversion replacesameversion
Source: ..\..\CDBurnerXP\Resources\iso.ico; DestDir: {app}; Flags: restartreplace overwritereadonly ignoreversion replacesameversion
Source: ..\Resources\audio_cover.jpg; DestDir: {app}\Resources
Source: ..\Resources\data_cover.jpg; DestDir: {app}\Resources

[Registry]
Root: HKCU; SubKey: SOFTWARE\CDBurnerXP; ValueType: string; ValueName: AppPath; ValueData: {app}; Flags: uninsdeletevalue
Root: HKLM; SubKey: SYSTEM\ControlSet001\Services\NMSAccess; ValueType: string; ValueName: Description; ValueData: {cm:NMSAccessServiceDesc}; Flags: uninsdeletevalue
Root: HKLM; SubKey: SYSTEM\ControlSet001\Services\NMSAccessU; ValueType: string; ValueName: Description; ValueData: {cm:NMSAccessServiceDesc}; Flags: uninsdeletevalue

Root: HKCR; SubKey: CDBurnerXPOpen; ValueType: string; ValueData: CDBurnerXP Data Compilation; Flags: uninsdeletevalue
Root: HKCR; SubKey: CDBurnerXPOpen\DefaultIcon; ValueType: string; ValueData: {app}\data.ico; Flags: uninsdeletevalue
Root: HKCR; SubKey: CDBurnerXPOpen\shell\open\command; ValueType: string; ValueData: """{app}\cdbxpp.exe"" /od ""%1"""; Flags: uninsdeletevalue

Root: HKCR; SubKey: CDBurnerXPAudio; ValueType: string; ValueData: CDBurnerXP Audio Compilation; Flags: uninsdeletevalue
Root: HKCR; SubKey: CDBurnerXPAudio\DefaultIcon; ValueType: string; ValueData: {app}\audio.ico; Flags: uninsdeletevalue
Root: HKCR; SubKey: CDBurnerXPAudio\shell\open\command; ValueType: string; ValueData: """{app}\cdbxpp.exe"" /oa ""%1"""; Flags: uninsdeletevalue

Root: HKCR; SubKey: CDBurnerXPOpenIso; ValueType: string; ValueData: ISO Image; Flags: uninsdeletevalue
Root: HKCR; SubKey: CDBurnerXPOpenIso\DefaultIcon; ValueType: string; ValueData: {app}\iso.ico; Flags: uninsdeletevalue
Root: HKCR; SubKey: CDBurnerXPOpenIso\shell\open\command; ValueType: string; ValueData: """{app}\cdbxpp.exe"" /oi ""%1"""; Flags: uninsdeletevalue

Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\HandleBluRayBurningOnArrival; ValueType: string; ValueName: CDBurnerXP; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\HandleHDDVDBurningOnArrival; ValueType: string; ValueName: CDBurnerXP; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\HandleDVDBurningOnArrival; ValueType: string; ValueName: CDBurnerXP; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\HandleCDBurningOnArrival; ValueType: string; ValueName: CDBurnerXP; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\CDBurnerXP; ValueType: string; ValueName: Action; ValueData: {cm:BurnDisc}; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\CDBurnerXP; ValueType: string; ValueName: DefaultIcon; ValueData: """{app}\cdbxpp.exe"",0"; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\CDBurnerXP; ValueType: string; ValueName: InvokeProgID; ValueData: CDBurnerXPOpen; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\CDBurnerXP; ValueType: string; ValueName: InvokeVerb; ValueData: open; Flags: uninsdeletevalue
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\CDBurnerXP; ValueType: string; ValueName: Provider; ValueData: CDBurnerXP; Flags: uninsdeletevalue
Root: HKCR; SubKey: .dxp; ValueType: string; ValueData: dxp-file; Flags: uninsdeletekey; Tasks: fileassoc
Root: HKCR; SubKey: dxp-file; ValueType: string; ValueData: CDBurnerXP Data Compilation; Flags: uninsdeletekey; Tasks: fileassoc
Root: HKCR; SubKey: dxp-file\Shell\Open\Command; ValueType: string; ValueData: """{app}\cdbxpp.exe"" /od ""%1"""; Flags: uninsdeletevalue; Tasks: fileassoc
Root: HKCR; Subkey: dxp-file\DefaultIcon; ValueType: string; ValueData: {app}\data.ico; Flags: uninsdeletevalue; Tasks: fileassoc
Root: HKCR; SubKey: .axp; ValueType: string; ValueData: axp-file; Flags: uninsdeletekey; Tasks: fileassoc
Root: HKCR; SubKey: axp-file; ValueType: string; ValueData: CDBurnerXP Audio Compilation; Flags: uninsdeletekey; Tasks: fileassoc
Root: HKCR; SubKey: axp-file\Shell\Open\Command; ValueType: string; ValueData: """{app}\cdbxpp.exe"" /oa ""%1"""; Flags: uninsdeletevalue; Tasks: fileassoc
Root: HKCR; Subkey: axp-file\DefaultIcon; ValueType: string; ValueData: {app}\audio.ico; Flags: uninsdeletevalue; Tasks: fileassoc
Root: HKCR; SubKey: .iso; ValueType: string; ValueData: iso-file; Flags: uninsdeletekey; Tasks: isoassoc
Root: HKCR; SubKey: iso-file; ValueType: string; ValueData: ISO Image; Flags: uninsdeletekey; Tasks: isoassoc
Root: HKCR; SubKey: iso-file\Shell\Open\Command; ValueType: string; ValueData: """{app}\cdbxpp.exe"" /oi ""%1"""; Flags: uninsdeletevalue; Tasks: isoassoc
Root: HKCR; Subkey: iso-file\DefaultIcon; ValueType: string; ValueData: {app}\iso.ico; Flags: uninsdeletevalue; Tasks: isoassoc
; Add to default applications
Root: HKLM; Subkey: SOFTWARE\Canneverbe Limited\CDBurnerXP\Capabilities; ValueType: string; ValueName: ApplicationDescription; ValueData: CDBurnerXP is a free application to burn CDs and DVDs, including Blu-Ray and HD-DVDs. It also includes the feature to burn and create ISOs, as well as a multilanguage interface. Everyone, even companies, can use it for free. It does not include adware or similar malicious components.; MinVersion: 0,6.1.7600
Root: HKLM; Subkey: SOFTWARE\Canneverbe Limited\CDBurnerXP\Capabilities; ValueType: string; ValueName: ApplicationIcon; ValueData: {app}\cdbxpp.exe,0; MinVersion: 0,6.1.7600
Root: HKLM; Subkey: SOFTWARE\Canneverbe Limited\CDBurnerXP\Capabilities; ValueType: string; ValueName: ApplicationName; ValueData: CDBurnerXP; MinVersion: 0,6.1.7600
Root: HKLM; Subkey: SOFTWARE\Canneverbe Limited\CDBurnerXP\Capabilities\FileAssociations; ValueType: string; ValueName: .axp; ValueData: CDBurnerXPAudio; MinVersion: 0,6.1.7600
Root: HKLM; Subkey: SOFTWARE\Canneverbe Limited\CDBurnerXP\Capabilities\FileAssociations; ValueType: string; ValueName: .dxp; ValueData: CDBurnerXPOpen; MinVersion: 0,6.1.7600
Root: HKLM; Subkey: SOFTWARE\Canneverbe Limited\CDBurnerXP\Capabilities\FileAssociations; ValueType: string; ValueName: .iso; ValueData: CDBurnerXPOpenIso; MinVersion: 0,6.1.7600
Root: HKLM; Subkey: SOFTWARE\RegisteredApplications; ValueType: string; ValueName: CDBurnerXP; ValueData: Software\Canneverbe Limited\CDBurnerXP\Capabilities; MinVersion: 0,6.1.7600

; Setting this to "1" causes various troubles. Make sure that it is set to 0.
Root: HKLM; Subkey: SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon; ValueType: string; ValueName: allocatecdroms; ValueData: 0

; Starburn
Root: HKLM; Subkey: SYSTEM\CurrentControlSet\Services\StarOpen; ValueType: string; ValueName: Group; ValueData: Extended Base; Components: nmsaccess
Root: HKLM; Subkey: SYSTEM\CurrentControlSet\Services\StarOpen; ValueType: dword; ValueName: ErrorControl; ValueData: 00000001; Components: nmsaccess
Root: HKLM; Subkey: SYSTEM\CurrentControlSet\Services\StarOpen; ValueType: dword; ValueName: Start; ValueData: 00000002; Components: nmsaccess
Root: HKLM; Subkey: SYSTEM\CurrentControlSet\Services\StarOpen; ValueType: dword; ValueName: Type; ValueData: 00000002; Components: nmsaccess

[Icons]
Name: {commonprograms}\CDBurnerXP; Filename: {app}\cdbxpp.exe; WorkingDir: {app}; IconFilename: {app}\cdbxpp.exe; IconIndex: 0; Flags: createonlyiffileexists; Components: main
Name: {userdesktop}\CDBurnerXP; Filename: {app}\cdbxpp.exe; WorkingDir: {app}; Comment: {cm:CDBurnerXPDesc}; Flags: createonlyiffileexists; IconFilename: {app}\cdbxpp.exe; IconIndex: 0; Components: main; Tasks: desktopicon\user
Name: {commondesktop}\CDBurnerXP; Filename: {app}\cdbxpp.exe; WorkingDir: {app}; IconFilename: {app}\cdbxpp.exe; Comment: {cm:CDBurnerXPDesc}; IconIndex: 0; Components: main; Flags: createonlyiffileexists; Tasks: desktopicon\common
Name: {userappdata}\Microsoft\Internet Explorer\Quick Launch\CDBurnerXP; Filename: {app}\cdbxpp.exe; WorkingDir: {app}; IconFilename: {app}\cdbxpp.exe; Comment: {cm:CDBurnerXPDesc}; IconIndex: 0; Components: main; Flags: createonlyiffileexists; Tasks: quicklaunchicon
Name: {sendto}\CDBurnerXP; Filename: {app}\cdbxpp.exe; WorkingDir: {app}; IconFilename: {app}\cdbxpp.exe; IconIndex: 0; Components: main; Tasks: sendToIcon

[_ISTool]
EnableISX=false

[Run]
Filename: Reg.exe; Parameters: "Copy HKCU\SOFTWARE\CDBurnerXP ""HKCU\SOFTWARE\Canneverbe Limited\CDBurnerXP"" /s /f"; Flags: skipifdoesntexist runhidden; Components: main
Filename: Reg.exe; Parameters: Delete HKCU\SOFTWARE\CDBurnerXP /f; Flags: skipifdoesntexist runhidden; Components: main

Filename: NET.exe; Parameters: "STOP ""NMSAccessU"""; StatusMsg: {cm:NMSAccessStop}; Flags: skipifdoesntexist runhidden
Filename: {app}\NMSAccessU.exe; Parameters: -remove; StatusMsg: {cm:NMSAccessUninstall}; Flags: skipifdoesntexist runhidden
Filename: {app}\NMSAccessU.exe; Parameters: -install; StatusMsg: {cm:NMSAccessInstall}; Flags: skipifdoesntexist runhidden; Components: nmsaccess
Filename: NET.exe; Parameters: "START ""NMSAccessU"""; StatusMsg: {cm:NMSAccessStart}; Flags: skipifdoesntexist runhidden; Components: nmsaccess
Filename: {app}\cdbxpp.exe; Description: {cm:LaunchProgram,CDBurnerXP}; Flags: nowait postinstall skipifsilent

[UninstallRun]
Filename: {app}\NMSAccessU.exe; Parameters: -remove; StatusMsg: {cm:NMSAccessUninstall}; Flags: skipifdoesntexist runhidden

[Code]

#if !defined(NOTOOLBAR)
//--------------------------------
// Includes
//--------------------------------

// [OpenCandy]
	// Include the OpenCandy Setup Helper header
	// This provides all the OpenCandy helper functions
	// and definitions that are used by this install script.
	#include AddBackslash(SourcePath) + "..\Resources\OCSetupHlp.iss"
// [/OpenCandy]
#endif

procedure DecodeVersion( verstr: String; var verint: array of Integer );
       var
               i,p: Integer; s: string;
       begin
               // initialize array
               verint := [0,0,0,0];
               i := 0;
               while ( (Length(verstr) > 0) and (i < 4) ) do
                       begin
                               p := pos('.', verstr);
                               if p > 0 then
                                       begin
                                               if p = 1 then s:= '0' else s:= Copy( verstr, 1, p - 1 );
                                               verint[i] := StrToInt(s);
                                               i := i + 1;
                                               verstr := Copy( verstr, p+1, Length(verstr));
                                       end
                               else
                                       begin
                                               verint[i] := StrToInt( verstr );
                                               verstr := '';
                                       end;
                       end;
       end;

// This function compares version string
// return -1 if ver1 < ver2
// return  0 if ver1 = ver2
// return  1 if ver1 > ver2
function CompareVersion( ver1, ver2: String ) : Integer;
       var
               verint1, verint2: array of Integer;
               i: integer;
       begin
               SetArrayLength( verint1, 4 );
               DecodeVersion( ver1, verint1 );
               SetArrayLength( verint2, 4 );
               DecodeVersion( ver2, verint2 );
               Result := 0; i := 0;
               while ( (Result = 0) and ( i < 4 ) ) do
                       begin
                               if verint1[i] > verint2[i] then
                                       Result := 1
                               else
                                       if verint1[i] < verint2[i] then
                                               Result := -1
                                       else
                                               Result := 0;
                               i := i + 1;
                       end;
       end;

// DirectX version is stored in registry as 4.majorversion.minorversion
// DirectX 8.0 is 4.8.0
// DirectX 8.1 is 4.8.1
// DirectX 9.0 is 4.9.0
function GetDirectXVersion(): String;
       var
               sVersion:  String;
       begin
               sVersion := '';
               RegQueryStringValue( HKLM, 'SOFTWARE\Microsoft\DirectX', 'Version', sVersion );
               Result := sVersion;
       end;

function FrameworkInstalled(): Boolean;
       var
               ErrorCode: Integer;
               Net2_0 : Boolean;
               Net4_0 : Boolean;
               Result1 : Boolean;
       begin
               Net2_0 := RegKeyExists(HKLM,'SOFTWARE\Microsoft\.NETFramework\policy\v2.0');
               Net4_0 := RegKeyExists(HKLM,'SOFTWARE\Microsoft\.NETFramework\policy\v4.0');
   if WizardSilent() or Net2_0 or Net4_0 then
                       Result := true
       else
               begin
                 Result := false;
                       Result1 := MsgBox(ExpandConstant('{cm:NeedFramework}'),mbConfirmation, MB_YESNO) = idYes;
                       if Result1 then
                       ShellExec('','http://msdn2.microsoft.com/en-us/netframework/aa569263.aspx','','',SW_SHOWNORMAL,ewNoWait,ErrorCode);
               end;
end;

// Print license
procedure PrintButtonClick(Sender: TObject);
       var WordpadLoc: String;
       RetCode: Integer;
       begin
               if MsgBox(ExpandConstant('{cm:licenseprint}'), mbConfirmation, MB_YESNO ) = IDYES then
                       begin
                               // get WordPad location
                               RegQueryStringValue( HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\WORDPAD.EXE','', WordpadLoc);
                               // on NT/2000 it's a REG_EXPAND_SZ, so expand constant ProgramFiles
                               StringChange( WordpadLoc, '%ProgramFiles%', ExpandConstant('{pf}') );
                               // remove " at begin and end pf string
                               StringChange( WordpadLoc, '"', '');
                               // extract License file
                               try
                                       ExtractTemporaryFile('License.rtf');
                                       if not Exec( WordPadLoc, ' /p ' + ExpandConstant('{tmp}\License.rtf'), ExpandConstant('{tmp}'), SW_HIDE, ewNoWait, RetCode ) then
                                               MsgBox(ExpandConstant('{cm:ProblemPrintingLicense}') + IntToStr(RetCode), mbError, mb_Ok) ;
                               except
                                       RaiseException(ExpandConstant('{cm:ProblemPrintingLicenseDet}') + #13#13 + GetExceptionMessage);
                               end;
                       end;
       end;

procedure InitializeWizard();
       var
               PrintButton: TButton;
               langCode: String;
               #if !defined(NOTOOLBAR)
               OCtszInstallerLanguage: OCTString;
               iOpenCandyNewPageID: Integer;
               #endif
       begin
               PrintButton := TButton.Create(WizardForm.LicensePage);
               PrintButton.Caption := ExpandConstant('{cm:PrintButton}');
               PrintButton.Left := WizardForm.LicenseMemo.Left + WizardForm.LicenseMemo.Width - PrintButton.Width;
               PrintButton.Top := WizardForm.LicenseMemo.Top + WizardForm.LicenseMemo.Height + 16;
               PrintButton.OnClick := @PrintButtonClick;
               PrintButton.Parent := WizardForm.LicenseAcceptedRadio.Parent;

               // OPEN CANDY START

               case ExpandConstant('{language}') of
				   'German': 	langCode := 'de';
				   'Bulgarian': langCode := 'bg';
				   'ChineseS':	langCode := 'zh';
				   'ChineseT':	langCode := 'zh';
				   'Croatian':	langCode := 'hr';
				   'Czech':		langCode := 'cs';
				   'Danish':	langCode := 'da';
				   'Dutch':		langCode := 'nl';
				   'Finnish':	langCode := 'fi';
				   'French':	langCode := 'fr';
				   'Hebrew':	langCode := 'he';
				   'Hungarian':	langCode := 'hu';
				   'Italian':	langCode := 'it';
				   'Japanese':	langCode := 'ja';
				   'Korean':	langCode := 'ko';
				   'Norwegian':	langCode := 'no';
				   'Polish':	langCode := 'pl';
				   'Portuguese':langCode := 'pt';
				   'Romanian':	langCode := 'ro';
				   'Russian':	langCode := 'ru';
				   'Slovak':	langCode := 'sk';
				   'Slovenian':	langCode := 'sl';
				   'Spanish':	langCode := 'es';
				   'Swedish':	langCode := 'sw';
				   'Turkish':	langCode := 'tr';
				   'Ukrainian':	langCode := 'ug';
				   'Greek':		langCode := 'el';
				   'Lithuanian':langCode := 'lt';
				   else langCode := 'en';
				 end;

			   #if !defined(NOTOOLBAR)
			   if not WizardSilent() then
			   begin
					OCtszInstallerLanguage := ActiveLanguage();
					if(OCtszInstallerLanguage = 'default') then
						OCtszInstallerLanguage := 'en';

					// Initialize OpenCandy, check for offers
					OpenCandyInit('{#OC_STR_MY_PRODUCT_NAME}', '{#OC_STR_KEY}', '{#OC_STR_SECRET}', langCode, {#OC_INIT_MODE_NORMAL}, {#OC_INIT_PERFORM_NOW});

					// Support deferred extraction and loading of the OpenCandy Network Client library when using OC_INIT_PERFORM_BYPAGEORDER.
					iOpenCandyNewPageID := OpenCandyInsertLoadDLLPage(wpLicense);
					// After deferred loading, connect to the OpenCandy Network to check for recommendations.
					iOpenCandyNewPageID := OpenCandyInsertConnectPage(iOpenCandyNewPageID);
					// When necessary, show a loading screen after the Select Tasks page while waiting for offers to become ready.
					iOpenCandyNewPageID := OpenCandyInsertLoadingPage(wpSelectTasks, ' ', ' ', 'Loading...', 'Arial', 100);
					// After the loading screen show the OpenCandy offer page.
					iOpenCandyNewPageID := OpenCandyInsertOfferPage(iOpenCandyNewPageID);
			   end;
			   #endif
       end;

procedure CurPageChanged(CurPageID: Integer);
var		ocReady : Boolean;

begin
   #if !defined(NOTOOLBAR)

   	// [OpenCandy]
	OpenCandyCurPageChanged(CurPageID);

	ocReady := _OCEnabledAndReady();
	if ocReady then
		ocReady := ({#OC_OFFER_STATUS_CANOFFER_READY} = GetOCOfferStatus(false));

	if (ocReady = False) AND (CurPageID = wpSelectTasks) then
	begin
		WizardForm.NextButton.Caption := SetupMessage(msgButtonInstall);
	end;

	if (ocReady = True) AND (CurPageId = gl_OC_objOCOfferPage.ID) then
		WizardForm.NextButton.Caption :=  SetupMessage(msgButtonInstall);

	// [/OpenCandy]

   #else
   // Display "Install" at tasks page (last before installation)
   if (CurPageID = wpSelectTasks) then
   begin
     WizardForm.NextButton.Caption := SetupMessage(msgButtonInstall);
   end;

   #endif
end;
#if !defined(NOTOOLBAR)
function NextButtonClick(CurPageID: Integer): Boolean;
begin
	Result := true; // Allow action by default

	#if !defined(NOTOOLBAR)
	// [OpenCandy]
	if not OpenCandyNextButtonClick(CurPageID) then
		Result := false;
	// [/OpenCandy]
	#endif
end;

function BackButtonClick(CurPageID: Integer): Boolean;
begin
	Result := true; // Allow action by default

	#if !defined(NOTOOLBAR)
	// [OpenCandy]
	OpenCandyBackButtonClick(CurPageID);
	// [/OpenCandy]
	#endif
end;

procedure DeinitializeSetup();
begin
  // OPEN CANDY START
  OpenCandyDeinitializeSetup();
  // OPEN CANDY END
end;
function ShouldSkipPage(PageID: Integer): Boolean;
begin
	Result := false; // Don't skip pages by default

	#if !defined(NOTOOLBAR)
	// [OpenCandy]
	if OpenCandyShouldSkipPage(PageID) then
		Result := true;
	// [/OpenCandy]
	#endif
end;
#endif

// Clean up old language- and config files
procedure CurStepChanged(CurStep: TSetupStep);
       var
               FindRec: TFindRec;
       begin
			   #if !defined(NOTOOLBAR)
			   OpenCandyCurStepChanged(CurStep);
			   #endif

               if CurStep = ssInstall then
               begin
                       if FindFirst(ExpandConstant('{app}\*'), FindRec) then
                       begin
                               try
                                       repeat
                                               if FindRec.Attributes and FILE_ATTRIBUTE_DIRECTORY > 0 then
                                               begin
                                                       if (Length(FindRec.Name) > 4) and (Length(FindRec.Name) <= 5) then
                                                               if Pos('-', FindRec.Name) = 3 then
                                                                       DelTree(ExpandConstant('{app}\') + FindRec.Name, True, True, True);
                                               end;

                                       until not FindNext(FindRec);
                               finally
                                       FindClose(FindRec);
                               end;
                       end;
                       try
                               DelTree(ExpandConstant('{localappdata}\CDBurnerXP_Soft'), True, True, True);
                       except
                       end;
                       try
                               DelTree(ExpandConstant('{localappdata}\Canneverbe_Limited'), True, True, True);
                       except
                       end;
                       try
                               DelTree(ExpandConstant('{userappdata}\Canneverbe_Limited'), True, True, True);
                       except
                       end;
               end
               else if CurStep = ssPostInstall then
			   begin
					// For auto update: *Always* register new files, because a restart will be required (updater)
					RegisterServer(Is64BitInstallMode, ExpandConstant('{app}\StarBurnX12.dll'), True);
					RegisterServer(Is64BitInstallMode, ExpandConstant('{app}\NMSDVDXU.dll'), True);

					try
					DelTree(GetTempDir() + 'CDBurnerXP-updates', True, True, True)
					except
					end;
               end;

       end;

function InitializeSetup(): Boolean;
begin
               Result := true;
               if NOT FrameworkInstalled then
                               Result := False
               else if GetIniString('Setup', 'MsiInstallation', '0', ExpandConstant('{commonappdata}\Canneverbe Limited\CDBurnerXP\Application.ini')) = '1' then
			   begin
					MsgBox(ExpandConstant('{cm:MsiInstallationDetected}'), mbCriticalError, MB_OK);
					Result := false
			   end
               else
               begin
                       // in this case program needs at least directx 8.0
                       if CompareVersion( GetDirectXVersion(), '4.8.0') < 0 then
                       begin
                               Result := MsgBox(ExpandConstant('{cm:DXNotFound}'), mbConfirmation, MB_YESNO) = idYes;
                               if not Result then
                                       MsgBox(ExpandConstant('{cm:UpgradeYourDX}'), mbInformation, MB_OK);
                       end
                       else
                               Result := true;
               end;
end;

[Languages]
Name: English; MessagesFile: compiler:Default.isl
Name: German; MessagesFile: compiler:Languages\German.isl
Name: Bulgarian; MessagesFile: compiler:Languages\Bulgarian-5.1.11.isl
Name: ChineseS; MessagesFile: compiler:Languages\ChineseSimp-12-5.1.11.isl
Name: ChineseT; MessagesFile: compiler:Languages\ChineseTrad-2-5.1.11.isl
Name: Croatian; MessagesFile: compiler:Languages\Croatian-5-5.1.11.isl
Name: Czech; MessagesFile: compiler:Languages\Czech.isl
Name: Danish; MessagesFile: compiler:Languages\Danish.isl
Name: Dutch; MessagesFile: compiler:Languages\Dutch.isl
Name: Finnish; MessagesFile: compiler:Languages\Finnish.isl
Name: French; MessagesFile: compiler:Languages\French.isl
Name: Hebrew; MessagesFile: compiler:Languages\Hebrew.isl
Name: Hungarian; MessagesFile: compiler:Languages\Hungarian.isl
Name: Italian; MessagesFile: compiler:Languages\Italian.isl
Name: Japanese; MessagesFile: compiler:Languages\Japanese-5-5.1.11.isl
Name: Korean; MessagesFile: compiler:Languages\Korean-5-5.1.11.isl
Name: Norwegian; MessagesFile: compiler:Languages\Norwegian.isl
Name: Polish; MessagesFile: compiler:Languages\Polish.isl
Name: Portuguese; MessagesFile: compiler:Languages\Portuguese.isl
Name: Romanian; MessagesFile: compiler:Languages\Romanian-6-5.1.11.isl
Name: Russian; MessagesFile: compiler:Languages\Russian.isl
Name: Slovak; MessagesFile: compiler:Languages\Slovak.isl
Name: Slovenian; MessagesFile: compiler:Languages\Slovenian.isl
Name: Spanish; MessagesFile: compiler:Languages\Spanish.isl
Name: Swedish; MessagesFile: compiler:Languages\Swedish-10-5.1.12.isl
Name: Turkish; MessagesFile: compiler:Languages\Turkish-3-5.1.11.isl
Name: Ukrainian; MessagesFile: compiler:Languages\Ukrainian-6-5.1.11.isl
Name: Greek; MessagesFile: compiler:Languages\Greek-4-5.1.11.isl
Name: Lithuanian; MessagesFile: compiler:Languages\Lithuanian-4-5.1.11.isl
Name: Georgian; MessagesFile: compiler:Languages\Georgian-1-5.1.11.islu
Name: Estonian; MessagesFile: compiler:Languages\Estonian-3-5.1.11.isl
